#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0xd7941aa6, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x674fa254, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x39e8d5ef, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x280b9df3, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x58baa5ee, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x061dd255, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x0288185c, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x6480f9b5, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x3981f406, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0xb4e00969, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x1e66b156, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x77962b49, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x10650b3e, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xefe3fdbb, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x56b7d08c, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x0bfc2681, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x5b8c7a11, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0xef03ec5c, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xc464bf5b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x37c35b19, "phy_set_mode_ext" },
	{ 0xc2aa7492, "phy_power_on" },
	{ 0x523a2d27, "phy_init" },
	{ 0xd16e057a, "phy_power_off" },
	{ 0x2d7decdf, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef2d051, "regulator_disable" },
	{ 0xb9bdbf81, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x163a74ba, "__pm_runtime_idle" },
	{ 0x12403e7f, "__pm_runtime_disable" },
	{ 0x891515a2, "devm_of_phy_get" },
	{ 0x24147c9d, "_dev_err" },
	{ 0x7fbe8e1, "of_find_property" },
	{ 0x39d07c2f, "ata_host_resume" },
	{ 0xa783b3ab, "ahci_reset_controller" },
	{ 0x4f9f119, "ahci_init_controller" },
	{ 0xcde63ea2, "regulator_enable" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7bdf9a2e, "platform_get_irq" },
	{ 0x7637df0b, "ahci_save_initial_config" },
	{ 0x8b2eb15f, "ahci_set_em_messages" },
	{ 0xe96e56de, "ata_host_alloc_pinfo" },
	{ 0xf83fd073, "platform_get_resource" },
	{ 0x9bc09ed, "ata_port_desc" },
	{ 0x519c1cd3, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xa36575fb, "_dev_info" },
	{ 0x9b8f057a, "ahci_reset_em" },
	{ 0x1a394d86, "ahci_print_info" },
	{ 0x9e705445, "ahci_host_activate" },
	{ 0xc229f62a, "dma_set_mask" },
	{ 0x54fe0418, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x8349cd08, "devres_open_group" },
	{ 0xf4bab2f1, "__devres_alloc_node" },
	{ 0xb99e012, "devres_add" },
	{ 0xba2bf0a9, "platform_get_resource_byname" },
	{ 0x4174da51, "devm_platform_ioremap_resource_byname" },
	{ 0xcad34c00, "devm_clk_bulk_get_all" },
	{ 0x36e89495, "devm_regulator_get" },
	{ 0x9c66fe0c, "devm_reset_control_array_get" },
	{ 0xa00294d2, "of_get_next_child" },
	{ 0xe1a8b316, "devm_kmalloc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x49319b4d, "of_platform_device_create" },
	{ 0xe2902777, "of_find_device_by_node" },
	{ 0x97144f8e, "regulator_get" },
	{ 0x4982178f, "of_device_is_available" },
	{ 0x6c3f308, "of_property_read_variable_u32_array" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x538600a8, "devres_release_group" },
	{ 0x7208d33b, "devm_platform_ioremap_resource" },
	{ 0x24213183, "devm_clk_get_optional" },
	{ 0x46384f79, "of_node_put" },
	{ 0x3cacb914, "pm_runtime_enable" },
	{ 0xe567d150, "__pm_runtime_resume" },
	{ 0xe7701948, "devres_remove_group" },
	{ 0xd6ea6316, "ata_host_suspend" },
	{ 0x59d802b8, "__pm_runtime_set_status" },
	{ 0xe555fc16, "ahci_ops" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "26B1EB4864D8A86A696C208");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
