#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fw_core_add_descriptor, "", "");
KSYMTAB_FUNC(fw_core_remove_descriptor, "", "");
KSYMTAB_FUNC(fw_schedule_bus_reset, "", "");
KSYMTAB_FUNC(fw_card_initialize, "", "");
KSYMTAB_FUNC(fw_card_add, "", "");
KSYMTAB_FUNC(fw_card_release, "_gpl", "");
KSYMTAB_FUNC(fw_core_remove_card, "", "");
KSYMTAB_FUNC(fw_card_read_cycle_time, "_gpl", "");
KSYMTAB_FUNC(fw_csr_iterator_init, "", "");
KSYMTAB_FUNC(fw_csr_iterator_next, "", "");
KSYMTAB_FUNC(fw_csr_string, "", "");
KSYMTAB_DATA(fw_bus_type, "", "");
KSYMTAB_FUNC(fw_device_enable_phys_dma, "", "");
KSYMTAB_DATA(fw_workqueue, "", "");
KSYMTAB_FUNC(fw_iso_buffer_init, "", "");
KSYMTAB_FUNC(fw_iso_buffer_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_create, "", "");
KSYMTAB_FUNC(fw_iso_context_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_start, "", "");
KSYMTAB_FUNC(fw_iso_context_queue, "", "");
KSYMTAB_FUNC(fw_iso_context_queue_flush, "", "");
KSYMTAB_FUNC(fw_iso_context_flush_completions, "", "");
KSYMTAB_FUNC(fw_iso_context_stop, "", "");
KSYMTAB_FUNC(fw_iso_resource_manage, "", "");
KSYMTAB_FUNC(fw_core_handle_bus_reset, "", "");
KSYMTAB_FUNC(fw_cancel_transaction, "", "");
KSYMTAB_FUNC(__fw_send_request, "_gpl", "");
KSYMTAB_FUNC(fw_run_transaction, "", "");
KSYMTAB_DATA(fw_high_memory_region, "", "");
KSYMTAB_FUNC(fw_core_add_address_handler, "", "");
KSYMTAB_FUNC(fw_core_remove_address_handler, "", "");
KSYMTAB_FUNC(fw_fill_response, "", "");
KSYMTAB_FUNC(fw_send_response, "", "");
KSYMTAB_FUNC(fw_get_request_speed, "", "");
KSYMTAB_FUNC(fw_request_get_timestamp, "_gpl", "");
KSYMTAB_FUNC(fw_core_handle_request, "", "");
KSYMTAB_FUNC(fw_core_handle_response, "", "");
KSYMTAB_FUNC(fw_rcode_string, "", "");

SYMBOL_CRC(fw_core_add_descriptor, 0x8ec4e37e, "");
SYMBOL_CRC(fw_core_remove_descriptor, 0x69f08f72, "");
SYMBOL_CRC(fw_schedule_bus_reset, 0x1eb5e3ca, "");
SYMBOL_CRC(fw_card_initialize, 0x43872a37, "");
SYMBOL_CRC(fw_card_add, 0xd5bb6aaa, "");
SYMBOL_CRC(fw_card_release, 0xe86fb5c7, "_gpl");
SYMBOL_CRC(fw_core_remove_card, 0xf57b355d, "");
SYMBOL_CRC(fw_card_read_cycle_time, 0xaba70629, "_gpl");
SYMBOL_CRC(fw_csr_iterator_init, 0xe80e5087, "");
SYMBOL_CRC(fw_csr_iterator_next, 0xe3fde125, "");
SYMBOL_CRC(fw_csr_string, 0x556601c3, "");
SYMBOL_CRC(fw_bus_type, 0xcb90b241, "");
SYMBOL_CRC(fw_device_enable_phys_dma, 0x492fd588, "");
SYMBOL_CRC(fw_workqueue, 0x3c56ef91, "");
SYMBOL_CRC(fw_iso_buffer_init, 0x5b877b34, "");
SYMBOL_CRC(fw_iso_buffer_destroy, 0x9613129a, "");
SYMBOL_CRC(fw_iso_context_create, 0x00627b64, "");
SYMBOL_CRC(fw_iso_context_destroy, 0xbeaedb67, "");
SYMBOL_CRC(fw_iso_context_start, 0xb9c2bf0a, "");
SYMBOL_CRC(fw_iso_context_queue, 0xd2e00b2e, "");
SYMBOL_CRC(fw_iso_context_queue_flush, 0xf23e311c, "");
SYMBOL_CRC(fw_iso_context_flush_completions, 0x5bfad4da, "");
SYMBOL_CRC(fw_iso_context_stop, 0x4a07caa6, "");
SYMBOL_CRC(fw_iso_resource_manage, 0xd04bfcad, "");
SYMBOL_CRC(fw_core_handle_bus_reset, 0x27c77dca, "");
SYMBOL_CRC(fw_cancel_transaction, 0x551706db, "");
SYMBOL_CRC(__fw_send_request, 0x53b8b4ea, "_gpl");
SYMBOL_CRC(fw_run_transaction, 0x39cb668b, "");
SYMBOL_CRC(fw_high_memory_region, 0xaedf84ce, "");
SYMBOL_CRC(fw_core_add_address_handler, 0x9ef3aae7, "");
SYMBOL_CRC(fw_core_remove_address_handler, 0x211b4d15, "");
SYMBOL_CRC(fw_fill_response, 0x1b59d2c3, "");
SYMBOL_CRC(fw_send_response, 0xf6b40991, "");
SYMBOL_CRC(fw_get_request_speed, 0x2885fec5, "");
SYMBOL_CRC(fw_request_get_timestamp, 0xabb5547d, "_gpl");
SYMBOL_CRC(fw_core_handle_request, 0xc687917d, "");
SYMBOL_CRC(fw_core_handle_response, 0x6ce93d3e, "");
SYMBOL_CRC(fw_rcode_string, 0x86468d44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x51bec532, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x929b0a48, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xb24d9980, "dma_unmap_page_attrs" },
	{ 0x73e8b51b, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x308d90d1, "device_for_each_child" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xc3b9d99b, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x931e48ec, "dma_map_page_attrs" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6f6d4880, "put_device" },
	{ 0x89f84b02, "__free_pages" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe4d45ae8, "bus_unregister" },
	{ 0x94f0e83, "down_write" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x31d07224, "device_add" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5152e605, "memcmp" },
	{ 0x1a482842, "device_find_child" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4c76859a, "device_register" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x463c69fc, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1fce1dd9, "nonseekable_open" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x247692ce, "alloc_pages" },
	{ 0x8121fc6a, "__register_chrdev" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcf59802f, "kobject_uevent" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xa2048e95, "crc_itu_t" },
	{ 0x184631be, "vm_map_pages_zero" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4dc0300, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x748bf046, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "6706B7FE9ABD9C2E179B89F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
