#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xc9774084, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x081a943e, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xfdf14d53, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x60eaefce, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x3701d5c0, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x1d4fe3ea, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xa8a38f73, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xdf401ceb, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x0c513eec, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xf70cdc15, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xd93049c0, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xf589bb88, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xc6a5b0f4, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xfd229d7e, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x19d3c3fa, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x1fff3302, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x84401a00, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x2294803b, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x6e76d9b1, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x0ec35a40, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xf2ec1e95, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xef7beaea, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x4cae18f4, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x0c7fd92c, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfbb01afe, "debugfs_create_dir" },
	{ 0xd0a764df, "debugfs_create_bool" },
	{ 0xb62876b6, "debugfs_create_x32" },
	{ 0xf68b2f63, "debugfs_create_file" },
	{ 0x95eca143, "single_open" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x24147c9d, "_dev_err" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x380b53cb, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xd0d8621b, "strlen" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x80b32283, "regmap_raw_write" },
	{ 0x2815111, "regmap_raw_read" },
	{ 0x282affd7, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x5152e605, "memcmp" },
	{ 0x2e60bace, "memcpy" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x89b17388, "regmap_read" },
	{ 0xa36575fb, "_dev_info" },
	{ 0xea2c1ab6, "regmap_update_bits_base" },
	{ 0xbff8a1f, "regmap_write" },
	{ 0x93a287e0, "regmap_multi_reg_write" },
	{ 0xade198f8, "regmap_bulk_read" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x35012485, "devm_kasprintf" },
	{ 0x9b33a829, "debugfs_remove" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1e131f17, "regmap_raw_write_async" },
	{ 0x64f51c43, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x738803e6, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb609e15f, "seq_lseek" },
	{ 0xda42e6a1, "seq_read" },
	{ 0x833682dd, "single_release" },
	{ 0xcb331a33, "simple_open" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5BC619C06DD31D1CE84EB37");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
