#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_tng_gpio_probe, "_gpl", "GPIO_TANGIER");
KSYMTAB_FUNC(tng_gpio_suspend, "_gpl", "GPIO_TANGIER");
KSYMTAB_FUNC(tng_gpio_resume, "_gpl", "GPIO_TANGIER");

SYMBOL_CRC(devm_tng_gpio_probe, 0x6b16d535, "_gpl");
SYMBOL_CRC(tng_gpio_suspend, 0xd3bb643a, "_gpl");
SYMBOL_CRC(tng_gpio_resume, 0x93720380, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9fe6bdf7, "gpiochip_get_data" },
	{ 0x739f45f3, "gpiochip_add_pin_range" },
	{ 0x24147c9d, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe1a8b316, "devm_kmalloc" },
	{ 0x8c0821ef, "gpiochip_generic_request" },
	{ 0xecd6d926, "gpiochip_generic_free" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab09884a, "handle_bad_irq" },
	{ 0xd156cb4f, "devm_gpiochip_add_data_with_key" },
	{ 0xf49c39f8, "dev_err_probe" },
	{ 0x3adecce0, "gpiochip_generic_config" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xcc38a920, "gpiochip_enable_irq" },
	{ 0xea065d55, "gpiochip_disable_irq" },
	{ 0x19a026e1, "generic_handle_domain_irq" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0x94a7919b, "handle_level_irq" },
	{ 0x265483, "handle_edge_irq" },
	{ 0x9448f09b, "gpiochip_irq_reqres" },
	{ 0x3e1570f2, "gpiochip_irq_relres" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C5A618183043520F134C03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
