#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xb111e6d2, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xedbbe68b, "_gpl");
SYMBOL_CRC(stm_data_write, 0x3a3dcc0c, "_gpl");
SYMBOL_CRC(stm_register_device, 0x589dec08, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xad4332e3, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xbd97e92a, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x51481cde, "_gpl");
SYMBOL_CRC(stm_source_write, 0x7f1cc36e, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x2b7ac068, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x318e9b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x639100ef, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x929b0a48, "device_unregister" },
	{ 0x7d1ed57e, "pm_runtime_set_autosuspend_delay" },
	{ 0x2e47e9fd, "vm_iomap_memory" },
	{ 0x739ddd43, "config_item_get" },
	{ 0x73e8b51b, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xd7f600ec, "synchronize_srcu" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x95ca7ad5, "configfs_unregister_subsystem" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x59d802b8, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f6d4880, "put_device" },
	{ 0x3cacb914, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xc316812b, "module_put" },
	{ 0x53d7b0d8, "init_srcu_struct" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9935081c, "configfs_register_subsystem" },
	{ 0x31d07224, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x7772c3c6, "__srcu_read_lock" },
	{ 0x54101fb2, "config_group_init_type_name" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xa6f2dd6b, "class_unregister" },
	{ 0x2b3cccf0, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xb2701d1b, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x86ddbd0a, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1fce1dd9, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x748f331c, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe567d150, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x5d742fb6, "config_item_put" },
	{ 0x8121fc6a, "__register_chrdev" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x65c72c33, "kobject_set_name" },
	{ 0x8fe6f54e, "device_match_name" },
	{ 0xe6194f28, "__srcu_read_unlock" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x5918f2de, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xb751d030, "__pm_runtime_use_autosuspend" },
	{ 0x12403e7f, "__pm_runtime_disable" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3b8ef755, "class_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5a94e563, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "9BCDE3DC93BB2773EB4C19B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
