#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0x03994e1c, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0xf6869828, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0x1771dc23, "");
SYMBOL_CRC(flexcop_device_kfree, 0x9f036339, "");
SYMBOL_CRC(flexcop_device_initialize, 0xf44a2601, "");
SYMBOL_CRC(flexcop_device_exit, 0x7bd1bff5, "");
SYMBOL_CRC(flexcop_i2c_request, 0x4473ddb9, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0xd07de0f8, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0x66da2b6f, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0xab941eb4, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0xb6a059f9, "");
SYMBOL_CRC(flexcop_dump_reg, 0x823c4544, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0x2e9f3e7c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf29baac, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xe023ccb2, "request_firmware" },
	{ 0x8e200f, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xba107cc3, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x813d8231, "dvb_dmx_swfilter_packets" },
	{ 0xbfa77fe6, "i2c_del_adapter" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x34425f1c, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9ba042d7, "dvb_net_init" },
	{ 0x44b94300, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x13627ef1, "dvb_dmxdev_release" },
	{ 0xfa18e3f2, "param_ops_short" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcc73f67c, "dvb_frontend_detach" },
	{ 0x91d67974, "i2c_add_adapter" },
	{ 0xfed115b, "dvb_net_release" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x715de915, "dvb_unregister_frontend" },
	{ 0xd5a6f83d, "cx24123_get_tuner_i2c_adapter" },
	{ 0x484b4520, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfc94ba78, "cx24113_agc_callback" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xe78d77d4, "dvb_unregister_adapter" },
	{ 0x9807d94b, "dvb_dmx_init" },
	{ 0x1bb62f8e, "param_ops_int" },
	{ 0xc24915a6, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "CE55295613B96852C779147");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
