#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0x03e25c71, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0xf5ca9407, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x075df080, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0xb4aa6dd8, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0xeaa71b95, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0xebc1ebd3, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0xdf3366d8, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x388f9144, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x1801d6b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x99826f8, "fwnode_property_read_u32_array" },
	{ 0x84c226ef, "fwnode_property_present" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x20037cde, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf08ffa43, "fwnode_handle_put" },
	{ 0x242e0a27, "fwnode_graph_get_port_parent" },
	{ 0xf6d9b3dc, "fwnode_graph_get_remote_endpoint" },
	{ 0x89acd88, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x921d938a, "fwnode_get_name" },
	{ 0x74c25c13, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xc1d9cf06, "__dev_fwnode" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x7465c266, "fwnode_property_get_reference_args" },
	{ 0xdc83a0a8, "fwnode_get_next_child_node" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x2e0080fe, "v4l2_async_subdev_nf_init" },
	{ 0x5f06e474, "v4l2_subdev_get_privacy_led" },
	{ 0x49dc77e3, "is_acpi_device_node" },
	{ 0xe4eabbd3, "v4l2_subdev_put_privacy_led" },
	{ 0xeb77bc19, "v4l2_async_nf_cleanup" },
	{ 0x5c715f98, "is_acpi_data_node" },
	{ 0x669301b, "__v4l2_async_nf_add_fwnode" },
	{ 0xc8ebfe5e, "v4l2_async_nf_register" },
	{ 0x35cb1b78, "v4l2_async_register_subdev" },
	{ 0x329e803e, "v4l2_async_nf_unregister" },
	{ 0x626aaeee, "fwnode_property_read_u64_array" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "DD24DB3880524911A3DE7EC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
