#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e8fd95e, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x49fdb304, "usb_control_msg_send" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x67ccade4, "usb_control_msg_recv" },
	{ 0x1a1eb6d6, "ethtool_op_get_ts_info" },
	{ 0xf7bca8f2, "can_ethtool_op_get_ts_info_hwts" },
	{ 0xa5777d1a, "can_eth_ioctl_hwts" },
	{ 0x49967f7f, "netdev_info" },
	{ 0xca6c54ac, "usb_deregister" },
	{ 0x7973dee8, "alloc_candev_mqs" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6553019c, "can_rx_offload_add_manual" },
	{ 0x54b0f813, "register_candev" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x82a8ac40, "can_rx_offload_del" },
	{ 0x16887877, "free_candev" },
	{ 0xa36575fb, "_dev_info" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xb8242378, "can_rx_offload_queue_timestamp" },
	{ 0xa631f15f, "can_rx_offload_queue_tail" },
	{ 0x58daf9d4, "kfree_skb_reason" },
	{ 0x920b5799, "can_dropped_invalid_skb" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa9256312, "netdev_printk" },
	{ 0x3c1a536, "usb_alloc_urb" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xdf0b8c9e, "usb_anchor_urb" },
	{ 0x35bb1269, "can_put_echo_skb" },
	{ 0x4d23de20, "usb_submit_urb" },
	{ 0x31a3c6bd, "usb_free_urb" },
	{ 0x7a748054, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x9243a57, "consume_skb" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a2768b9, "can_free_echo_skb" },
	{ 0x50cefd27, "usb_unanchor_urb" },
	{ 0xe38bed5d, "netif_device_detach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb51c344d, "open_candev" },
	{ 0xd29e15dd, "can_rx_offload_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x862258db, "timecounter_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x137cbd9e, "napi_disable" },
	{ 0x40310099, "close_candev" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x2f584b2e, "unregister_candev" },
	{ 0x89fe52b0, "alloc_canfd_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x65b5b772, "alloc_can_err_skb" },
	{ 0xcaca04fb, "can_rx_offload_irq_finish" },
	{ 0xc7879b0a, "alloc_can_skb" },
	{ 0xaf2b2052, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x76c349ef, "netif_tx_wake_queue" },
	{ 0x4c44371e, "can_rx_offload_get_echo_skb_queue_tail" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x1f5cb08b, "can_change_mtu" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "usbcore,can-dev");

MODULE_ALIAS("usb:v1D50p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1209p2323d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1CD2p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p10B8d*dc*dsc*dp*ic*isc*ip*in00*");

MODULE_INFO(srcversion, "6A735C431564F733839C310");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
