#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x1d867ba6, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xe5c7de6d, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x71881048, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x57e9a713, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xea3ed371, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x317f724f, "xsk_tx_completed" },
	{ 0xb4185b92, "alloc_etherdev_mqs" },
	{ 0xd2d1596a, "netdev_lower_get_next" },
	{ 0x620cc291, "flow_block_cb_lookup" },
	{ 0x9dd011ad, "pci_save_state" },
	{ 0xa23bca2, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1322b289, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xccd2f902, "device_set_wakeup_enable" },
	{ 0x610739d2, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xde75ef07, "flow_rule_match_enc_keyid" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd9c2e4d0, "pci_find_ext_capability" },
	{ 0xafe2df07, "kthread_create_worker" },
	{ 0x3a63a050, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfb4498f1, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa6bb810c, "devlink_unregister" },
	{ 0xf9643b0d, "skb_copy_bits" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x57d37170, "devm_request_threaded_irq" },
	{ 0xfc0fa2ea, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe1a8b316, "devm_kmalloc" },
	{ 0x1b2bb0ab, "pci_wake_from_d3" },
	{ 0x7e3737a, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x826b8b9c, "call_switchdev_notifiers" },
	{ 0xd54d3c19, "__napi_alloc_skb" },
	{ 0x1ac9c69f, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd55cb7b3, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9c288034, "auxiliary_device_init" },
	{ 0xf9d83f2e, "pci_enable_device_mem" },
	{ 0x9243a57, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xcb5d594c, "flow_rule_match_enc_ip" },
	{ 0x8235805b, "memmove" },
	{ 0x50a53eac, "pci_alloc_irq_vectors" },
	{ 0xb46d0a52, "flow_rule_match_l2tpv3" },
	{ 0xd74fb35e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe236b79a, "xsk_tx_peek_release_desc_batch" },
	{ 0x115d1d4f, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xfda4db51, "dmam_alloc_attrs" },
	{ 0x5c40b9f, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xaa8edca4, "devl_lock" },
	{ 0xd33961f5, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3ede2dd0, "ndo_dflt_bridge_getlink" },
	{ 0x4b166fc4, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6b2e14b, "xdp_features_set_redirect_target" },
	{ 0x851fae37, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x547efb6b, "pci_get_device" },
	{ 0xb24d9980, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe023ccb2, "request_firmware" },
	{ 0xa01fa230, "trace_event_printf" },
	{ 0xb2d78df0, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xe9f3c52b, "flow_rule_match_cvlan" },
	{ 0xb80248b6, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xda733447, "devlink_params_unregister" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x95d42df9, "dma_sync_single_for_device" },
	{ 0x82475447, "gnss_insert_raw" },
	{ 0xce7d2f12, "pci_num_vf" },
	{ 0xc5ae0496, "flow_rule_match_eth_addrs" },
	{ 0x115776d3, "skb_add_rx_frag" },
	{ 0x438927ba, "get_device_system_crosststamp" },
	{ 0xb3f96093, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x751a1ec7, "ptp_clock_index" },
	{ 0xea6a7f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4de6eccb, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1703640, "devlink_alloc_ns" },
	{ 0x327e2a43, "devl_rate_leaf_destroy" },
	{ 0x17f370c9, "devlink_register" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xc2800c65, "xdp_do_redirect" },
	{ 0xafc71b94, "devlink_free" },
	{ 0x84a36eed, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xd86bae2f, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7e792b98, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd83c2a6b, "devl_rate_node_create" },
	{ 0xb8ddf045, "netdev_warn" },
	{ 0xb31e9a38, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa599e52e, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdd39174a, "devl_rate_nodes_destroy" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x16eb2817, "pci_irq_vector" },
	{ 0x50d8a613, "flow_rule_match_ipv4_addrs" },
	{ 0x926e8cf7, "xdp_rxq_info_unreg_mem_model" },
	{ 0x7f9fef5f, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xabf473de, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2ccc79b3, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x7a748054, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c1846b4, "pskb_expand_head" },
	{ 0x47d9b55b, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x23283694, "devlink_flash_update_status_notify" },
	{ 0x45450888, "dev_driver_string" },
	{ 0xb0578771, "pci_restore_msi_state" },
	{ 0x521de32d, "trace_event_buffer_commit" },
	{ 0xa0be0a20, "xdp_return_buff" },
	{ 0x693bb80f, "dev_addr_mod" },
	{ 0xae070912, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xa5ed72b5, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf6c9c81, "eth_type_trans" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x931e48ec, "dma_map_page_attrs" },
	{ 0x4ab6d4ff, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3f42899a, "switchdev_handle_port_obj_del" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xb86281de, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x5bf017df, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x6f6d4880, "put_device" },
	{ 0x3dc97f43, "devm_free_irq" },
	{ 0x6156c7f4, "net_dim" },
	{ 0xaa0ded2e, "__napi_schedule" },
	{ 0xac98d9f2, "ipv6_skip_exthdr" },
	{ 0x62382802, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0xb1f4dd9b, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x89f84b02, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x56475ee0, "__hw_addr_unsync_dev" },
	{ 0xa36575fb, "_dev_info" },
	{ 0xa49f496a, "napi_gro_receive" },
	{ 0x9609869b, "xdp_features_clear_redirect_target" },
	{ 0x871f2b2f, "netdev_pick_tx" },
	{ 0x45d31eae, "flow_indr_dev_unregister" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x44f88904, "xp_raw_get_dma" },
	{ 0xf5e00f17, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x1ff62f34, "xdp_rxq_info_is_reg" },
	{ 0xdcb1d14c, "flow_rule_match_enc_opts" },
	{ 0xfd3679ae, "flow_block_cb_setup_simple" },
	{ 0x1f0ea6d6, "pci_msix_can_alloc_dyn" },
	{ 0x31f9bd0a, "flow_rule_match_basic" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3c5af688, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x280b471e, "pcim_iomap_regions" },
	{ 0xb7829036, "devlink_region_create" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0x710fcfd, "vlan_dev_real_dev" },
	{ 0x2ef365a7, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe295a773, "devm_kmemdup" },
	{ 0x5d656b, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xfb59711, "perf_trace_run_bpf_submit" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x723142e0, "devlink_port_unregister" },
	{ 0xbe5734f2, "devlink_flash_update_timeout_notify" },
	{ 0xc1fff4e8, "devm_kfree" },
	{ 0x24147c9d, "_dev_err" },
	{ 0x269c4d4d, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb331b51e, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa7fbf258, "xdp_return_frame" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xf8493df2, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe8f8b5fd, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x765b89cb, "netif_set_real_num_tx_queues" },
	{ 0xdfb1a591, "__auxiliary_device_add" },
	{ 0xcbf834d, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x9507e1ad, "netif_set_real_num_rx_queues" },
	{ 0x3eda4df7, "flow_indr_block_cb_alloc" },
	{ 0x42a36188, "pci_wait_for_pending_transaction" },
	{ 0xa69cd006, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x98922d39, "pci_device_is_present" },
	{ 0xade2bdf3, "pci_read_config_word" },
	{ 0x84c2fc9e, "pcie_flr" },
	{ 0x9a6aebd2, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9d2e8f7c, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x4a1081d1, "dcbnl_ieee_notify" },
	{ 0xb72b1a10, "xsk_uses_need_wakeup" },
	{ 0xe86666, "register_netdev" },
	{ 0x1e5a28a8, "dev_mc_del" },
	{ 0xed3e71ea, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xc026db15, "page_to_nid" },
	{ 0xb17c7bd0, "free_netdev" },
	{ 0xc6d465cc, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf63b16f5, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xe77830d4, "netif_set_xps_queue" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x6f04d152, "netif_tx_stop_all_queues" },
	{ 0x3c8ac969, "pci_restore_state" },
	{ 0xe6bf91e, "bpf_trace_run1" },
	{ 0x76c349ef, "netif_tx_wake_queue" },
	{ 0xd5859cc1, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x3a4f22, "dma_sync_single_for_cpu" },
	{ 0x26b7ca7a, "dcb_getapp" },
	{ 0x851e02fa, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x1ae12e0a, "flow_rule_match_ports" },
	{ 0x2387979, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8cbe6d1f, "ptp_clock_event" },
	{ 0x221ab1f6, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x19c119ea, "netif_schedule_queue" },
	{ 0xbe8b2d48, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x727ee724, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xde3804c1, "flow_rule_match_ipv6_addrs" },
	{ 0x18874a49, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x35453e81, "ptp_clock_unregister" },
	{ 0x7598afed, "__pskb_pull_tail" },
	{ 0xab460d0e, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x31c3f028, "rhashtable_destroy" },
	{ 0x8e057b7e, "switchdev_handle_port_obj_add" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa824ff07, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9ddc6322, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54fe0418, "dma_set_coherent_mask" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x36a72b51, "flow_rule_match_pppoe" },
	{ 0x82301a2d, "flow_rule_match_enc_control" },
	{ 0xbb539c00, "bpf_trace_run3" },
	{ 0xb3df0db7, "__page_frag_cache_drain" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x748287ef, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xb538c145, "_dev_notice" },
	{ 0xeea0399, "strscpy" },
	{ 0x55772927, "gnss_deregister_device" },
	{ 0x904a5495, "rps_may_expire_flow" },
	{ 0x5e14bfab, "metadata_dst_free" },
	{ 0xe4f41ee1, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xae1162bd, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x213e3316, "devlink_params_register" },
	{ 0xf3057ec8, "trace_event_buffer_reserve" },
	{ 0xddf58b9, "kthread_destroy_worker" },
	{ 0xb3635020, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xaea6184c, "flow_rule_match_enc_ports" },
	{ 0x9d0b8da6, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x4df7ea70, "call_netdevice_notifiers" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x989893b, "pcie_print_link_status" },
	{ 0xc97e50bf, "xp_set_rxq_info" },
	{ 0xa17a5b5a, "flow_rule_match_vlan" },
	{ 0xf52af2f3, "xdp_rxq_info_unreg" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6a57741b, "napi_build_skb" },
	{ 0x8d0283bb, "netdev_master_upper_dev_get_rcu" },
	{ 0xbb6d4f64, "__xdp_rxq_info_reg" },
	{ 0xe617b6df, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd08bc38c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd812dff9, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x19eb4969, "devlink_priv" },
	{ 0xfb29a85b, "__hw_addr_sync_dev" },
	{ 0x938903bd, "devlink_port_register_with_ops" },
	{ 0x47011239, "pci_disable_sriov" },
	{ 0x268ad84f, "pldmfw_flash_image" },
	{ 0xeddc84b, "kthread_queue_delayed_work" },
	{ 0xf01e14e, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xf6ae6c3d, "dst_release" },
	{ 0xcd32134e, "netif_carrier_on" },
	{ 0xe7468ea1, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4c752d66, "dev_uc_add_excl" },
	{ 0x1f184008, "pci_disable_device" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0x1b974f2e, "xp_free" },
	{ 0xd5fc3b6d, "dev_mc_add_excl" },
	{ 0xdf360b93, "gnss_put_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0xc229f62a, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x4c5ac2a3, "netif_set_tso_max_size" },
	{ 0x89bf073f, "__skb_flow_dissect" },
	{ 0xa77a5ba5, "vlan_dev_vlan_id" },
	{ 0x97f7afcd, "pci_msix_alloc_irq_at" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x1b273672, "pcim_iomap_table" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x1a2f9f0c, "xdp_master_redirect" },
	{ 0x7bccee4, "__devm_add_action" },
	{ 0x9a55eb12, "page_address" },
	{ 0x5063b348, "napi_schedule_prep" },
	{ 0x3958f72d, "napi_consume_skb" },
	{ 0x136d0535, "pci_read_config_byte" },
	{ 0x58b4e5f0, "xp_alloc_batch" },
	{ 0xd0d8621b, "strlen" },
	{ 0x137cbd9e, "napi_disable" },
	{ 0x1bc7e22d, "dev_kfree_skb_any_reason" },
	{ 0x68999573, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x1bb62f8e, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x931230c9, "pcim_enable_device" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc66557ac, "pci_free_irq_vectors" },
	{ 0xc9aabbca, "flow_rule_match_control" },
	{ 0xff524362, "flow_rule_match_ip" },
	{ 0x653341ac, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x3c5dc14d, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1a1eb6d6, "ethtool_op_get_ts_info" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x49967f7f, "netdev_info" },
	{ 0xa86c6ced, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd5a120e1, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "gnss,ptp");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CED34C27B891AF3B472FD01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
