#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x61b7457f, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xadb685fc, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xf35576f8, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x12316c38, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xaed1f036, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6fac45d6, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf9643b0d, "skb_copy_bits" },
	{ 0xd7a44aa4, "__nlmsg_put" },
	{ 0x329ad93a, "netdev_adjacent_change_commit" },
	{ 0xbaa94c1f, "eth_mac_addr" },
	{ 0x347e4681, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x826b8b9c, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x47585182, "ip6_dst_hoplimit" },
	{ 0x7aed3444, "param_ops_ushort" },
	{ 0x9243a57, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x444f3b02, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x62c967e0, "dst_cache_set_ip4" },
	{ 0xb13d494e, "udp_tunnel6_xmit_skb" },
	{ 0x83b508fe, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe7f7a375, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0x84a36eed, "eth_validate_addr" },
	{ 0xd86bae2f, "rhashtable_init" },
	{ 0xae194b2e, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdf12e840, "rtnl_create_link" },
	{ 0xb6ffcc6f, "ip_route_output_flow" },
	{ 0x1def2764, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xea471c10, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xf3b3f20, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc1e6176, "udp_tunnel_drop_rx_port" },
	{ 0x37b0f9f7, "netdev_upper_dev_link" },
	{ 0x4c1846b4, "pskb_expand_head" },
	{ 0x5c9b9b24, "register_pernet_subsys" },
	{ 0x693bb80f, "dev_addr_mod" },
	{ 0xcc7f20c2, "netdev_core_stats_alloc" },
	{ 0xf6c9c81, "eth_type_trans" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xff03a522, "nla_put_nohdr" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x7ad537b3, "__alloc_skb" },
	{ 0x660feae5, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3bfd30a6, "eth_gro_complete" },
	{ 0x2a770946, "rtnl_set_sk_err" },
	{ 0x8b3dbce5, "eth_gro_receive" },
	{ 0x2868b2e3, "rtnl_configure_link" },
	{ 0xaf159706, "skb_tunnel_check_pmtu" },
	{ 0x474b38bd, "peernet2id" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0xf3624dc5, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xc9e212f4, "__dev_get_by_index" },
	{ 0x4fb35ec8, "rtnl_link_unregister" },
	{ 0x671453c4, "__skb_get_hash" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb6bb873e, "ipv6_stub" },
	{ 0x58f15508, "skb_pull" },
	{ 0x6a66a484, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x859d5ab9, "dev_get_by_index_rcu" },
	{ 0x58daf9d4, "kfree_skb_reason" },
	{ 0xbaa5873b, "gro_cells_receive" },
	{ 0xe224f52a, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x3d692cf6, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xb17c7bd0, "free_netdev" },
	{ 0x6766a04e, "ip_mc_join_group" },
	{ 0x6c376d97, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x3ac6996d, "lock_sock_nested" },
	{ 0xf63b16f5, "ethtool_op_get_link" },
	{ 0x35336b66, "nexthop_find_by_id" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xa2558fb8, "arp_create" },
	{ 0x4b99c00f, "__ethtool_get_link_ksettings" },
	{ 0x5cc9ba98, "netdev_adjacent_change_prepare" },
	{ 0x6d1f10ac, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf460428c, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xb01eb192, "rhashtable_free_and_destroy" },
	{ 0x221ab1f6, "rht_bucket_nested_insert" },
	{ 0x40355093, "netdev_adjacent_change_abort" },
	{ 0x71b64edc, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x70f75e85, "__iptunnel_pull_header" },
	{ 0x7598afed, "__pskb_pull_tail" },
	{ 0x2fe740e1, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x8311192d, "netif_rx" },
	{ 0x31c3f028, "rhashtable_destroy" },
	{ 0x8c29ee3a, "setup_udp_tunnel_sock" },
	{ 0x9ff00c32, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf45ca07, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9ddc6322, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd84f3f50, "skb_scrub_packet" },
	{ 0xaff90d65, "nexthop_select_path" },
	{ 0x748287ef, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5e14bfab, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7549d28d, "neigh_destroy" },
	{ 0xcae21380, "dst_cache_get_ip6" },
	{ 0x935af1ac, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60a4cda1, "param_ops_bool" },
	{ 0x44654e7c, "udp_tun_rx_dst" },
	{ 0xeb58f62a, "dst_cache_set_ip6" },
	{ 0xf068464b, "rtnl_notify" },
	{ 0x3ad4ae55, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1815bfdb, "__netif_rx" },
	{ 0x2078a5c2, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xf01e14e, "metadata_dst_alloc" },
	{ 0xf6ae6c3d, "dst_release" },
	{ 0x753d195d, "unregister_nexthop_notifier" },
	{ 0x1f225a74, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x23f03786, "udp_tunnel_notify_del_rx_port" },
	{ 0x1173600c, "register_nexthop_notifier" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa7f9dcd5, "ip_mc_leave_group" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xff4866a2, "gro_find_receive_by_type" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x49967f7f, "netdev_info" },
	{ 0xa86c6ced, "skb_dump" },
	{ 0x11c678de, "neigh_lookup" },
	{ 0x7458da46, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x231b663a, "register_netdevice" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "5FE80BD37CB2032B3EF0688");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
