#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90381ce0, "wl1271_tx_min_rate_get" },
	{ 0xf1e55c19, "wl1271_cmd_send" },
	{ 0x9ab3017, "platform_driver_unregister" },
	{ 0xf9bcfa4b, "wlcore_event_roc_complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x530145b, "wlcore_scan_sched_scan_ssid_list" },
	{ 0x91a906b7, "wlcore_translate_addr" },
	{ 0xa0389559, "wlcore_boot_run_firmware" },
	{ 0x5cfa8e4d, "wlcore_set_scan_chan_params" },
	{ 0x3eb115c8, "wl1271_debugfs_update_stats" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc1db71fa, "wl1271_format_buffer" },
	{ 0xadfb1f03, "wlcore_tx_complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x25984e67, "wlcore_free_hw" },
	{ 0x55bd6b68, "wlcore_event_soft_gemini_sense" },
	{ 0x85f41dfb, "wlcore_scan_sched_scan_results" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x35cc4fb7, "wlcore_event_max_tx_failure" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xab0db1b0, "wlcore_remove" },
	{ 0x5c372615, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaeb35b35, "wlcore_event_channel_switch" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x93d15350, "ieee80211_queue_delayed_work" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcb331a33, "simple_open" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x311ea7ae, "wl1271_cmd_test" },
	{ 0x19ebba8c, "wlcore_enable_interrupts" },
	{ 0x389851c2, "wlcore_set_partition" },
	{ 0x9eb7baba, "wl1271_acx_sleep_auth" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2078bd16, "wlcore_boot_upload_firmware" },
	{ 0x9e82775b, "wlcore_event_sched_scan_completed" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x7e7cbd15, "wl12xx_acx_mem_cfg" },
	{ 0xdf7aef71, "wl1271_cmd_data_path" },
	{ 0x7d7d535e, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x43d50017, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2bfca51f, "__platform_driver_register" },
	{ 0x74937f9b, "wl1271_acx_set_ht_capabilities" },
	{ 0xf68b2f63, "debugfs_create_file" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x132fac39, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6cb83329, "wlcore_probe" },
	{ 0xb45d8ad8, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3450fac5, "wlcore_event_rssi_trigger" },
	{ 0x7a91d781, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e5282fa, "wl1271_acx_pm_config" },
	{ 0x415dce3b, "wlcore_event_ba_rx_constraint" },
	{ 0x164201fe, "wlcore_event_inactive_sta" },
	{ 0x523fcb14, "wlcore_event_dummy_packet" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x4087ec70, "wlcore_event_beacon_loss" },
	{ 0xfbb01afe, "debugfs_create_dir" },
	{ 0x5922a06a, "generic_file_llseek" },
	{ 0x8c88ea64, "wl1271_acx_init_mem_config" },
	{ 0x5cb43adb, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0xd5e95a62, "wlcore_boot_upload_nvs" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xac69246b, "wl12xx_cmd_build_probe_req" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "28638E379495466AE9EF17E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
