#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87439d85, "crypto_alloc_ahash" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9864f4ff, "ip_sock_set_tos" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x38eade72, "nvmet_req_complete" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x7d8ef39b, "kernel_bind" },
	{ 0x1468e323, "sock_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x5c0eed6e, "kernel_accept" },
	{ 0xf06990f2, "kernel_recvmsg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x815ed03a, "sock_set_priority" },
	{ 0x483a82b0, "crypto_destroy_tfm" },
	{ 0x35683ab0, "nvmet_sq_destroy" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x657a2c65, "nvmet_unregister_transport" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0x70bd1603, "nvmet_req_init" },
	{ 0x269c4d4d, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xefe418ba, "kernel_getpeername" },
	{ 0xea55da67, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xe393e059, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xc982fb90, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6573f300, "ida_free" },
	{ 0xec3e4d4d, "inet_pton_with_scope" },
	{ 0x44f7a499, "sock_sendmsg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xd48245d2, "tcp_stream_memory_free" },
	{ 0x2963c2b1, "sock_set_reuseaddr" },
	{ 0xaed7198a, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x16e0736b, "crypto_ahash_digest" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3df0db7, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xae05bf2a, "kernel_listen" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x65a1fe18, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xc46be1bd, "sock_recvmsg" },
	{ 0xc5d87ed7, "sock_release" },
	{ 0x646454ab, "tcp_sock_set_nodelay" },
	{ 0xc3f737f1, "nvmet_ctrl_fatal_error" },
	{ 0xc257abe4, "nvmet_req_uninit" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x540baf35, "param_get_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1e230617, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xe3a3ceb5, "sock_no_linger" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "0C89E8833D6F5ADFE0E6C3B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
