#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_DATA(ssam_bus_type, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x419449ff, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xd164c305, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x3f6d13cc, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0xf43de4d1, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x1ec3503d, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x2c2c1457, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0xda298668, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x4fcc5526, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0xa20f95bf, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x2b0eecaf, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xa0d10b64, "_gpl");
SYMBOL_CRC(ssam_bus_type, 0xa24b3d05, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x91ae2c9d, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0xa1d171ad, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x79a22ad3, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x04c2fab6, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x348f838e, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x8c7fe2a0, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x071d6e97, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0xd0398288, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x19be1b7e, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xaab8ded6, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x1ae80bce, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x06757591, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x540628ff, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x5e371635, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x94a433ca, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0xcc838d55, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x43f90187, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0xe1893e0a, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x285dc327, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x0f1aba07, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9b8fa45d, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x49dc77e3, "is_acpi_device_node" },
	{ 0xd70732cf, "gpiod_put" },
	{ 0x4437bc06, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd0e682e9, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x51bec532, "dev_set_name" },
	{ 0x8235805b, "memmove" },
	{ 0x6309fc0d, "gpiod_count" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x5c40b9f, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x929b0a48, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x851fae37, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xa01fa230, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x73e8b51b, "device_initialize" },
	{ 0x856786e8, "serdev_device_set_flow_control" },
	{ 0xea6a7f28, "trace_event_raw_init" },
	{ 0x37a5d585, "gpiod_to_irq" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb66fe40a, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xdc83a0a8, "fwnode_get_next_child_node" },
	{ 0x7e792b98, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xd7f600ec, "synchronize_srcu" },
	{ 0x76b78f11, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0xa042def9, "serdev_device_set_parity" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x47169dee, "wake_up_process" },
	{ 0x521de32d, "trace_event_buffer_commit" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6f6d4880, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xebca5d93, "device_for_each_child_reverse" },
	{ 0xf9a1109a, "kmem_cache_alloc" },
	{ 0xa36575fb, "_dev_info" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x921d938a, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x53d7b0d8, "init_srcu_struct" },
	{ 0xfb59711, "perf_trace_run_bpf_submit" },
	{ 0xa8cc35e6, "devm_acpi_dev_add_driver_gpios" },
	{ 0xe4d45ae8, "bus_unregister" },
	{ 0x94f0e83, "down_write" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x31d07224, "device_add" },
	{ 0xe2d47398, "crc_ccitt_false" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7772c3c6, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x42ba694a, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xed3e71ea, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x69c18d69, "driver_unregister" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x2b3cccf0, "cleanup_srcu_struct" },
	{ 0xfc6b41d1, "sysfs_create_group" },
	{ 0x4b1bd5a6, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x7868fb8c, "serdev_device_wait_until_sent" },
	{ 0xacad2ad1, "__serdev_device_driver_register" },
	{ 0xe6bf91e, "bpf_trace_run1" },
	{ 0x282affd7, "_dev_warn" },
	{ 0xd3c10051, "acpi_dev_clear_dependencies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x898aaf1, "fwnode_handle_get" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xe979924e, "serdev_device_write_buf" },
	{ 0x463c69fc, "down_read" },
	{ 0x20c470f, "kthread_create_on_node" },
	{ 0xe6fd3562, "sysfs_remove_group" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0xf3057ec8, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51fb4bfe, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe6194f28, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xf08ffa43, "fwnode_handle_put" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x8cba52c8, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x4dc0300, "up_read" },
	{ 0xe10f970f, "driver_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x748bf046, "bus_register" },
	{  0x1c228, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "1FEF2D2915F587122AA49A3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
