#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dell_smbios_error, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_register_device, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_unregister_device, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_call_filter, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_call, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_find_token, "_gpl", "");
KSYMTAB_FUNC(dell_laptop_register_notifier, "_gpl", "");
KSYMTAB_FUNC(dell_laptop_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(dell_laptop_call_notifier, "_gpl", "");

SYMBOL_CRC(dell_smbios_error, 0xc2871e79, "_gpl");
SYMBOL_CRC(dell_smbios_register_device, 0x9846f74c, "_gpl");
SYMBOL_CRC(dell_smbios_unregister_device, 0x4dc027c4, "_gpl");
SYMBOL_CRC(dell_smbios_call_filter, 0xe640dfd8, "_gpl");
SYMBOL_CRC(dell_smbios_call, 0x45170471, "_gpl");
SYMBOL_CRC(dell_smbios_find_token, 0x7fd2ce06, "_gpl");
SYMBOL_CRC(dell_laptop_register_notifier, 0x1b0b3141, "_gpl");
SYMBOL_CRC(dell_laptop_unregister_notifier, 0xd6c6b12d, "_gpl");
SYMBOL_CRC(dell_laptop_call_notifier, 0xb9400dbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac45cf90, "platform_device_put" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xe1a8b316, "devm_kmalloc" },
	{ 0x9ab3017, "platform_driver_unregister" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa167d064, "dell_wmi_get_size" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc3b9d99b, "get_device" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc6e7a086, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x439cfd18, "blocking_notifier_call_chain" },
	{ 0xf1a06655, "dcdbas_smi_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x6f6d4880, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa75079d6, "dcdbas_smi_request" },
	{ 0xa3dcfa65, "dell_wmi_get_descriptor_valid" },
	{ 0x24147c9d, "_dev_err" },
	{ 0x3214b85d, "platform_device_unregister" },
	{ 0xf71bb02f, "wmidev_evaluate_method" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x4b637127, "platform_device_add" },
	{ 0x7468a8f, "platform_device_alloc" },
	{ 0xdbc47b88, "platform_device_del" },
	{ 0x6add5c9a, "dmi_find_device" },
	{ 0xfc6b41d1, "sysfs_create_group" },
	{ 0x2bc95bd4, "memset" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea04a11b, "wmi_driver_unregister" },
	{ 0x2bfca51f, "__platform_driver_register" },
	{ 0x8eef8246, "dell_wmi_get_hotfix" },
	{ 0xe6fd3562, "sysfs_remove_group" },
	{ 0x897a48ec, "set_required_buffer_size" },
	{ 0x5cb9b25b, "blocking_notifier_chain_unregister" },
	{ 0x68366bc3, "__wmi_driver_register" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xd9146b52, "dcdbas_smi_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "dell-wmi-descriptor,dcdbas,wmi");

MODULE_ALIAS("wmi:A80593CE-A997-11DA-B012-B622A1EF5492");

MODULE_INFO(srcversion, "34E57BC2E15935FECA5E50E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
