#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0xf8493df2, "");
SYMBOL_CRC(ptp_clock_unregister, 0x35453e81, "");
SYMBOL_CRC(ptp_clock_event, 0x8cbe6d1f, "");
SYMBOL_CRC(ptp_clock_index, 0x751a1ec7, "");
SYMBOL_CRC(ptp_find_pin, 0xa80c6508, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0x42f7a073, "");
SYMBOL_CRC(ptp_schedule_worker, 0x2230fe91, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0x04243cb5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xafe2df07, "kthread_create_worker" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xfc0fa2ea, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x51bec532, "dev_set_name" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa26a319f, "pps_register_source" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x1098d014, "class_destroy" },
	{ 0x73e8b51b, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x308d90d1, "device_for_each_child" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f6d4880, "put_device" },
	{ 0xebca5d93, "device_for_each_child_reverse" },
	{ 0xa36575fb, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7322af66, "kthread_mod_delayed_work" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc8292be, "class_create" },
	{ 0x62991fcb, "pps_event" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6573f300, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfa0967, "pps_unregister_source" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xddf58b9, "kthread_destroy_worker" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x5c8216c0, "posix_clock_register" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xeddc84b, "kthread_queue_delayed_work" },
	{ 0x4cb27100, "ktime_get_snapshot" },
	{ 0x96d624d2, "posix_clock_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x862258db, "timecounter_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "D66B4FA4F67B184660F9BA1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
