#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x761e9e2a, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x4dbb3be5, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x012e86f0, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x331c71c3, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x08870c76, "");
SYMBOL_CRC(cdns_read_ping_status, 0xcf248e04, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xd99f0fdb, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x2aec6416, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x14c8e308, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0xf729b364, "");
SYMBOL_CRC(sdw_cdns_init, 0x98da467d, "");
SYMBOL_CRC(cdns_bus_conf, 0x422b5370, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0xe51b92eb, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x947370bb, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x8ca857a9, "");
SYMBOL_CRC(sdw_cdns_probe, 0x50547879, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x6fbcdab3, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x67eec012, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x2b8f37b0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f3b34c5, "sdw_bus_prep_clk_stop" },
	{ 0x6937d0c6, "simple_attr_open" },
	{ 0x523d9fb8, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xe1a8b316, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa592641e, "sdw_bus_clk_stop" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xb609e15f, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x87210919, "sdw_handle_slave_status" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa36575fb, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x491dcd20, "debugfs_attr_read" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xb8837db1, "simple_attr_release" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda42e6a1, "seq_read" },
	{ 0xf68b2f63, "debugfs_create_file" },
	{ 0xe567d150, "__pm_runtime_resume" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x380b53cb, "seq_printf" },
	{ 0x833682dd, "single_release" },
	{ 0xdc30dead, "sdw_bread_no_pm_unlocked" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x5918f2de, "__pm_runtime_suspend" },
	{ 0x1bb62f8e, "param_ops_int" },
	{ 0x95eca143, "single_open" },
	{ 0xaf2fcfb5, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "5F5AD75372423C62D3D9BF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
