#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x5229ceb4, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x625bcb64, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x8ea2fc19, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x63dda89b, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x09ecb7fa, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xcd94c674, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x5d5a7d2a, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xfd330f32, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x97941c93, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x6c42721b, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xabd12409, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x1ff8dcd0, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xb2b1d7d9, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xaf57045a, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xea1b2a7c, "");
SYMBOL_CRC(nf_nat_follow_master, 0x2aeb124d, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x0ab33b79, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x7f04ce08, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xd2a96d7f, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x7614c629, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xf3238233, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x1d745176, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x669b0c1d, "nf_ct_ext_add" },
	{ 0xf926013a, "__do_once_done" },
	{ 0x68e21c16, "nf_conntrack_find_get" },
	{ 0x318e9b, "try_module_get" },
	{ 0x6c8b80f0, "nf_ip6_checksum" },
	{ 0xf9643b0d, "skb_copy_bits" },
	{ 0xd4124901, "nf_hook_entries_insert_raw" },
	{ 0x79cc290d, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x1037b39c, "nf_ct_seqadj_set" },
	{ 0x347e4681, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x38b2822f, "nf_ct_helper_expectfn_unregister" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4da26e23, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xc0b38eb8, "nf_ct_helper_expectfn_register" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xba3d1d3, "ip6_route_me_harder" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c1846b4, "pskb_expand_head" },
	{ 0x5c9b9b24, "register_pernet_subsys" },
	{ 0x7ab731e9, "nf_conntrack_tuple_taken" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb57bb7ec, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xac98d9f2, "ipv6_skip_exthdr" },
	{ 0x95f18d34, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xc316812b, "module_put" },
	{ 0x79c2a0d2, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xd011f0ea, "nf_ct_expect_related_report" },
	{ 0x4ad97401, "nf_conntrack_alter_reply" },
	{ 0x643c0867, "ip_route_me_harder" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x4746a05a, "nf_hook_entries_delete_raw" },
	{ 0x7706e3b5, "skb_ensure_writable" },
	{ 0x70336531, "nf_unregister_net_hooks" },
	{ 0x224b0653, "inet_select_addr" },
	{ 0x5152e605, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xf460428c, "unregister_pernet_subsys" },
	{ 0x59f11924, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe6a58d04, "nf_ct_delete" },
	{ 0x3da75b35, "nf_ip_checksum" },
	{ 0xcf6458e9, "register_btf_kfunc_id_set" },
	{ 0xdca2fff3, "nf_ct_iterate_destroy" },
	{ 0x91a9c232, "__siphash_unaligned" },
	{ 0xa20272ef, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x515d415a, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc48dd10d, "__skb_checksum" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x53817ede, "inet_proto_csum_replace4" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xf6ae6c3d, "dst_release" },
	{ 0xadc71c79, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x56c755e1, "nf_nat_hook" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "5D9D38194B454EA85165A4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
