#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xcf348eab, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0xcf0dad92, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x27b2ff13, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0xad0ccfa3, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x4c5b7744, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x7f4bbae1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x2bdd05de, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x79716689, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0x72b54718, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x27477f30, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x1c0be9bb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0xb7d3dccb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0xe6652695, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xb7e23e1e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0xa2798d7f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x88509d2e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x84615d66, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0xdb0e952c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x84665ecc, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x0d401c45, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x901d6c3e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0xafe52254, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0xff914798, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x2e9b9971, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x376c0d76, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x9f1e40ee, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xf88a554e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xc357916d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0xb4e9e512, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xc5b20497, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xe25c4c6e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x134a7b91, "snd_hdac_stream_release" },
	{ 0x105db727, "snd_hdac_stream_release_locked" },
	{ 0x23e5f1e1, "snd_hdac_bus_link_power" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe0fd3521, "snd_hdac_bus_exit" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f6d4880, "put_device" },
	{ 0x52b44112, "snd_hdac_bus_init" },
	{ 0xae1f61e7, "snd_hdac_stream_init" },
	{ 0x24147c9d, "_dev_err" },
	{ 0x259ca2c4, "snd_hdac_device_unregister" },
	{ 0xef752783, "snd_hdac_stream_assign" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x69c18d69, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa3b876ba, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26f7c6ad, "snd_hdac_bus_init_cmd_io" },
	{ 0x8d229892, "snd_hda_bus_type" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xe10f970f, "driver_register" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
