#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0xdcad8925, "");
SYMBOL_CRC(snd_ac97_read, 0x11628c23, "");
SYMBOL_CRC(snd_ac97_write_cache, 0xa2592bf7, "");
SYMBOL_CRC(snd_ac97_update, 0x96b0ea48, "");
SYMBOL_CRC(snd_ac97_update_bits, 0x9358555a, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x95df9cdd, "");
SYMBOL_CRC(snd_ac97_bus, 0x3b670955, "");
SYMBOL_CRC(snd_ac97_mixer, 0xce16bd7a, "");
SYMBOL_CRC(snd_ac97_update_power, 0x79800452, "");
SYMBOL_CRC(snd_ac97_suspend, 0x656c89df, "");
SYMBOL_CRC(snd_ac97_resume, 0x38a4a0da, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x7054df51, "");
SYMBOL_CRC(snd_ac97_set_rate, 0xf43ca503, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x4d4abd50, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0xa822fe35, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x17bfdbd3, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0x6a64693c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2579db2, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51bec532, "dev_set_name" },
	{ 0x5eaed420, "snd_ctl_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x929b0a48, "device_unregister" },
	{ 0x776c2bdf, "snd_info_free_entry" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0x63a57da8, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xcbe6f2af, "snd_ctl_new1" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6f6d4880, "put_device" },
	{ 0xe92f6a1e, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0x327d394f, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0xf5edb147, "snd_ctl_make_virtual_master" },
	{ 0x7fc01c91, "snd_pcm_hw_rule_add" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x658c2952, "snd_ctl_boolean_mono_info" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xade2bdf3, "pci_read_config_word" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x6e5d8e96, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xdb6aef21, "snd_ctl_rename" },
	{ 0x4c76859a, "device_register" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x8da52003, "snd_device_new" },
	{ 0x282affd7, "_dev_warn" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60a4cda1, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x380b53cb, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xaa686cc, "snd_info_create_card_entry" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1bb62f8e, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "0CDE76D4D1A2621728074B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
