#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xe78613c4, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xca6026a6, "_gpl");
SYMBOL_CRC(ahci_ops, 0xe555fc16, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xb8f9c717, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x7637df0b, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x8953ccbb, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x2ceff481, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xd9dd5b76, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xa783b3ab, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x9b8f057a, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x04f9f119, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xf029e88b, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xc8f64ea1, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xff3b947a, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xed053836, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xd70a5994, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x80421aaf, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x147b5102, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xf44ca6ea, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x3dd6181f, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x8ebc531e, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x1a394d86, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x8b2eb15f, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x9e705445, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe567d150, "__pm_runtime_resume" },
	{ 0x163a74ba, "__pm_runtime_idle" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xde396e87, "ata_link_next" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x82ea9bac, "ata_wait_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa36575fb, "_dev_info" },
	{ 0x6155abc8, "ata_dev_set_feature" },
	{ 0x8ce74efd, "ata_msleep" },
	{ 0xd1c18f4c, "sata_link_scr_lpm" },
	{ 0x24147c9d, "_dev_err" },
	{ 0x268dd16f, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xacb8259e, "ata_std_qc_defer" },
	{ 0xbab39455, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0x21480a40, "ata_port_classify" },
	{ 0xd4b16993, "ata_qc_complete_multiple" },
	{ 0x7df97254, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x22ced599, "sata_pmp_error_handler" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x304c7605, "ata_host_start" },
	{ 0x57d37170, "devm_request_threaded_irq" },
	{ 0x9bc09ed, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb7638b3, "ata_host_register" },
	{ 0x3c4144d, "ata_host_activate" },
	{ 0xf9a482f9, "msleep" },
	{ 0x519c1cd3, "ata_dummy_port_ops" },
	{ 0xa6e38756, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe1a8b316, "devm_kmalloc" },
	{ 0xfda4db51, "dmam_alloc_attrs" },
	{ 0x45450888, "dev_driver_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc1fff4e8, "devm_kfree" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x282430e6, "sata_link_hardreset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x661489c5, "ata_wait_after_reset" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x22f7857b, "sata_lpm_ignore_phy_events" },
	{ 0x7c2d20a9, "ata_ehi_clear_desc" },
	{ 0x87498e28, "ata_ehi_push_desc" },
	{ 0x6df10499, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa0d31926, "sata_async_notification" },
	{ 0x1f18bcf5, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1bb62f8e, "param_ops_int" },
	{ 0x60a4cda1, "param_ops_bool" },
	{ 0x72745530, "sata_pmp_port_ops" },
	{ 0x8dffa10a, "dev_attr_sw_activity" },
	{ 0x4e67eddf, "dev_attr_unload_heads" },
	{ 0x2a6f2f67, "dev_attr_ncq_prio_supported" },
	{ 0xd5607d35, "dev_attr_ncq_prio_enable" },
	{ 0xcb763e0c, "dev_attr_link_power_management_policy" },
	{ 0xd43bae6, "dev_attr_em_message_type" },
	{ 0xb1d8732, "dev_attr_em_message" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "3E407ABC7C774D7F47E9021");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
