#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x212d82a4, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xe13da062, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xbca48cdb, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xe0cf9b4c, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xd7e9d151, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x45c8bf02, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x105f5696, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x657744c1, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x78fd35d2, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x13fe834e, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xc97b5fb8, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xf76f7241, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x98920538, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x7874eb0f, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x3b21531f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f072571, "drm_client_register" },
	{ 0x318e9b, "try_module_get" },
	{ 0xb6b522b3, "drm_fb_helper_init" },
	{ 0x8d1bdba7, "drm_fb_helper_debug_enter" },
	{ 0x1b392c68, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xcc16cee8, "drm_client_buffer_vmap" },
	{ 0x8d63d6d4, "drm_fb_helper_lastclose" },
	{ 0x958c4656, "drm_fb_helper_setcmap" },
	{ 0x61d0b05e, "drm_fb_helper_alloc_info" },
	{ 0x3bf1f51f, "drm_helper_disable_unused_functions" },
	{ 0x1cc55660, "drm_fb_helper_unprepare" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4ea1669d, "vm_get_page_prot" },
	{ 0xb82f159e, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xd934ed8c, "drm_fb_helper_fini" },
	{ 0xf6a068b0, "dma_mmap_pages" },
	{ 0xc2eca401, "drm_client_framebuffer_delete" },
	{ 0x644ffcba, "dma_free_pages" },
	{ 0x3b34a2a4, "drm_client_framebuffer_create" },
	{ 0x95d42df9, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1a57c6e, "drm_fb_helper_fill_info" },
	{ 0xa7f104a8, "drm_gem_create_mmap_offset" },
	{ 0x1e57712f, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45450888, "dev_driver_string" },
	{ 0xf6b77157, "drm_fb_helper_hotplug_event" },
	{ 0x2ddb2423, "fb_sys_write" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x27004755, "sys_imageblit" },
	{ 0xd12953ca, "drm_atomic_helper_damage_iter_init" },
	{ 0x82ed7546, "drm_fb_helper_blank" },
	{ 0xa870d576, "dma_alloc_pages" },
	{ 0x9fe3d99, "drm_gem_private_object_init" },
	{ 0xbced4175, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xce304a40, "sys_fillrect" },
	{ 0xc316812b, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xfa4e2204, "drm_client_init" },
	{ 0x1463b05b, "drm_gem_vm_close" },
	{ 0xd9c68b1b, "drm_gem_vm_open" },
	{ 0xa1a6028f, "drm_fb_helper_prepare" },
	{ 0x24147c9d, "_dev_err" },
	{ 0x49f40f04, "drm_gem_object_release" },
	{ 0xab06fd53, "mem_section" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xca75ee86, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x992fc0cc, "drm_gem_handle_create" },
	{ 0x601bd1d, "drm_gem_fb_get_obj" },
	{ 0xdc3fddc6, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8cb726d3, "drm_fb_helper_pan_display" },
	{ 0xe96c144d, "drm_client_release" },
	{ 0x6ec36164, "sys_copyarea" },
	{ 0x644d16ae, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9aca2238, "drm_client_buffer_vunmap" },
	{ 0x20b59828, "fb_sys_read" },
	{ 0xaf61f120, "drm_fb_helper_debug_leave" },
	{ 0x6b71ee76, "dma_buf_vmap_unlocked" },
	{ 0xe8f05c29, "dma_mmap_attrs" },
	{ 0x2f52069a, "dma_get_sgtable_attrs" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x9a55eb12, "page_address" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x7a776b67, "drm_fb_helper_initial_config" },
	{ 0xdd4389ad, "drm_fb_helper_unregister_info" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xb78737c8, "drm_fb_helper_ioctl" },
	{ 0x8ba925c, "drm_fb_helper_set_par" },
	{ 0xeda1959d, "drm_prime_gem_destroy" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "64A45454504A8A792D821ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
