#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x666dc5fd, "");
SYMBOL_CRC(bme280_chip_info, 0x1188e439, "");
SYMBOL_CRC(bmp380_chip_info, 0xfb62248b, "");
SYMBOL_CRC(bmp580_chip_info, 0x03a06f3d, "");
SYMBOL_CRC(bmp180_chip_info, 0x1a0ce026, "");
SYMBOL_CRC(bmp280_common_probe, 0x4630d502, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x4180b26d, "");
SYMBOL_CRC(bmp180_regmap_config, 0xb24e99c1, "");
SYMBOL_CRC(bmp280_regmap_config, 0x58c844a3, "");
SYMBOL_CRC(bmp380_regmap_config, 0xb79af242, "");
SYMBOL_CRC(bmp580_regmap_config, 0xb9e64ec7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbff8a1f, "regmap_write" },
	{ 0x57d37170, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x98e32f71, "gpiod_set_value" },
	{ 0x9d1f9c8a, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7d1ed57e, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xddf0bafa, "devm_gpiod_get_optional" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59d802b8, "__pm_runtime_set_status" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3cacb914, "pm_runtime_enable" },
	{ 0x9da755d1, "regulator_bulk_disable" },
	{ 0xa36575fb, "_dev_info" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fbc6f09, "irq_get_irq_data" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x2aa623e2, "__devm_iio_device_register" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x5ee3526b, "devm_iio_device_alloc" },
	{ 0x282affd7, "_dev_warn" },
	{ 0xfb8f8145, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1c4d9d7d, "regulator_bulk_enable" },
	{ 0x75903853, "devm_regulator_bulk_get" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x89b17388, "regmap_read" },
	{ 0xac56f025, "regmap_bulk_write" },
	{ 0xe567d150, "__pm_runtime_resume" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xade198f8, "regmap_bulk_read" },
	{ 0xea2c1ab6, "regmap_update_bits_base" },
	{ 0xf49c39f8, "dev_err_probe" },
	{ 0x5918f2de, "__pm_runtime_suspend" },
	{ 0x7bccee4, "__devm_add_action" },
	{ 0xb751d030, "__pm_runtime_use_autosuspend" },
	{ 0x12403e7f, "__pm_runtime_disable" },
	{ 0x163a74ba, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "D281281CA802783048A1103");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
