#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x764783dc, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x6da0b95e, "_gpl");
SYMBOL_CRC(media_device_init, 0x40a3579e, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x76e8f2ea, "_gpl");
SYMBOL_CRC(__media_device_register, 0xf05ed3c2, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x39c89239, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xa64df601, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x053561a8, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x90eb752b, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xc335d894, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xcb5b8cab, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x2a376405, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x47b0f2a4, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xe2eaa20d, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xe0080fc5, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x939292e3, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x35e7a759, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x126fbbf4, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x05f26deb, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x3478a804, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x936f75cf, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x9d17e22b, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x73249f1b, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xcdce43a7, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x6041022e, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x12d68265, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x239c992f, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x186e49f6, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x2ce72f2b, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x1a4535ea, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x3c6b2d4f, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xbdf9346d, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x7f019404, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xb30f96c6, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x770c8159, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xb0682002, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x85934bd4, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x50cc8a1b, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x5365c0ca, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x30e26e5d, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x402aaf65, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x7bfb8c04, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xf231f93a, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xc0b27ef2, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x38e459fd, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xc62246e8, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x6972fedb, "_gpl");
SYMBOL_CRC(media_request_put, 0xa4e44291, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x701e5080, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x2d5d1981, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x079474bf, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x8dc4fe5b, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xada97934, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x08958713, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x7a14d1e2, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xce8e84f0, "_gpl");
SYMBOL_CRC(media_device_delete, 0xcc2da9c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x421d4dcf, "krealloc" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x318e9b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc5dba1d4, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x51bec532, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x72beed69, "cdev_device_del" },
	{ 0x73e8b51b, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb0ba3544, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xc3b9d99b, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x179bc3af, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6f6d4880, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x20037cde, "fwnode_graph_parse_endpoint" },
	{ 0xc316812b, "module_put" },
	{ 0xbeb3f8d3, "device_create_file" },
	{ 0xe4d45ae8, "bus_unregister" },
	{ 0x4149b5, "fput" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6573f300, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xecd23b43, "platform_bus_type" },
	{ 0x65c72c33, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x9c6199eb, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x8cf55fb3, "pci_bus_type" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xccf88678, "device_remove_file" },
	{ 0x748bf046, "bus_register" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0945AE9370BBEC2034E6C65");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
