#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x0b9c91e6, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x6e7dbfdd, "");
SYMBOL_CRC(ivtv_api, 0x36dafa49, "");
SYMBOL_CRC(ivtv_vapi, 0xfb615f61, "");
SYMBOL_CRC(ivtv_vapi_result, 0x0ac90214, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x2612bac0, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x89cf178b, "");
SYMBOL_CRC(ivtv_udma_setup, 0x1955b5e2, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xe3306523, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x037ece99, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x7680251e, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x131b66aa, "");
SYMBOL_CRC(ivtv_firmware_check, 0x92a3b2d1, "");
SYMBOL_CRC(ivtv_claim_stream, 0x8b042549, "");
SYMBOL_CRC(ivtv_release_stream, 0x40c50faa, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xf762182c, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x21de356b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98a8e9f0, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x752eaccd, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7d0bae9, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfcb3fce3, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc6585870, "i2c_bit_add_bus" },
	{ 0x5b600915, "v4l2_fh_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x10792bfe, "v4l2_i2c_new_subdev_board" },
	{ 0x93f6e444, "kthread_flush_worker" },
	{ 0x85d3c62c, "v4l2_fh_add" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xb24d9980, "dma_unmap_page_attrs" },
	{ 0xe023ccb2, "request_firmware" },
	{ 0xb80248b6, "__pci_register_driver" },
	{ 0x8f97c244, "v4l2_ctrl_handler_init_class" },
	{ 0x95d42df9, "dma_sync_single_for_device" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xbeb93c8f, "unpin_user_pages" },
	{ 0x8e200f, "param_array_ops" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x760b1b31, "i2c_transfer_buffer_flags" },
	{ 0x89b772b3, "v4l2_subdev_init" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2ccc79b3, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47169dee, "wake_up_process" },
	{ 0x45450888, "dev_driver_string" },
	{ 0x62670d47, "v4l2_device_register_subdev" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x931e48ec, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x3f5356f9, "v4l2_ctrl_handler_log_status" },
	{ 0x14afc7bc, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb16e1ac2, "video_devdata" },
	{ 0x4962f820, "i2c_new_scanned_device" },
	{ 0x68dc5fc9, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x3c7864a9, "kthread_queue_work" },
	{ 0x89f84b02, "__free_pages" },
	{ 0xbfa77fe6, "i2c_del_adapter" },
	{ 0x9a2b4550, "__v4l2_ctrl_s_ctrl" },
	{ 0x29b3ac6c, "__kmap_local_page_prot" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x5485eb08, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe7b23301, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xcff6acc, "v4l2_fh_is_singular" },
	{ 0xab06fd53, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xade2bdf3, "pci_read_config_word" },
	{ 0x72136646, "v4l2_ctrl_subscribe_event" },
	{ 0x8b172903, "v4l2_fh_init" },
	{ 0x7cb2cd30, "v4l2_event_pending" },
	{ 0x28ffabd1, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x70ca2005, "video_unregister_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x4b1bd5a6, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xf21b9f6d, "v4l2_event_subscribe" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x3a4f22, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x727ee724, "pci_set_master" },
	{ 0x716ba522, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x56a8ecbe, "v4l2_device_register" },
	{ 0x7fd0fabf, "param_ops_string" },
	{ 0x91d67974, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x20c470f, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x42826749, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xafd215b4, "pci_write_config_byte" },
	{ 0x247692ce, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7023bd96, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa578ce49, "v4l2_ctrl_new_std" },
	{ 0x44d50e3, "v4l2_ctrl_g_ctrl" },
	{ 0xb74869, "cx2341x_handler_init" },
	{ 0xcd5a39c3, "cx2341x_handler_set_50hz" },
	{ 0xd6b0074f, "v4l2_ctrl_handler_free" },
	{ 0xda2acc23, "v4l2_device_unregister" },
	{ 0x1f184008, "pci_disable_device" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc229f62a, "dma_set_mask" },
	{ 0x52355085, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x43d12cc1, "v4l2_subdev_call_wrappers" },
	{ 0xeb2d0141, "dma_unmap_sg_attrs" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x4ab59264, "v4l2_event_queue" },
	{ 0x6a46ee91, "v4l2_i2c_new_subdev" },
	{ 0x9a55eb12, "page_address" },
	{ 0x136d0535, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x1bb62f8e, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x297ec166, "video_device_release_empty" },
	{ 0xae5925f0, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x8df1c8d5, "pci_write_config_dword" },
	{ 0x33506a1d, "v4l2_event_unsubscribe" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6b999f53, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C66B5DC5264B3E2BB1864AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
