#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0xb9d25525, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0x2f49555b, "_gpl");
SYMBOL_CRC(mei_reset, 0x4e49ab06, "_gpl");
SYMBOL_CRC(mei_start, 0x57a344b9, "_gpl");
SYMBOL_CRC(mei_restart, 0x649a7055, "_gpl");
SYMBOL_CRC(mei_stop, 0x80516f71, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x382194ee, "_gpl");
SYMBOL_CRC(mei_device_init, 0x05f8a820, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x418acba1, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x01e97d0a, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0xc0b29903, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0x1c6252f1, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x7a09112f, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xfa2382cd, "_gpl");
SYMBOL_CRC(mei_register, 0x8b5c1119, "_gpl");
SYMBOL_CRC(mei_deregister, 0xc8c3e662, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0x47f49f61, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0xacffffbc, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x3ba60de9, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0xe7d4b615, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x636401b0, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xe79222fd, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0x27033701, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x4db65b89, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0xca821a3a, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0xf2432295, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0xa8e16386, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0xf424422d, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x17c341e6, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0xf405ae30, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x5c1a6836, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x314ceaa5, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x2e719262, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x4bf7e48c, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0x7e145c76, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0x560db51b, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x61e55ac6, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0xe630aff5, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x5f2b7ce6, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x4d9ba764, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0xad9c7bc3, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x76cb498a, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0xd27a8f09, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0xdd85cd8e, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0xda90fd0e, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x318e9b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc5b27f55, "__init_rwsem" },
	{ 0xb529dc34, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51bec532, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xfda4db51, "dmam_alloc_attrs" },
	{ 0x5c40b9f, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x851fae37, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x187d96ba, "kill_fasync" },
	{ 0xa01fa230, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x73e8b51b, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xea6a7f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xb609e15f, "seq_lseek" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x6db486f7, "__module_get" },
	{ 0xc3b9d99b, "get_device" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x362509ad, "debugfs_read_file_bool" },
	{ 0x521de32d, "trace_event_buffer_commit" },
	{ 0x37984a37, "sysfs_notify" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xab93ceea, "debugfs_write_file_bool" },
	{ 0x6f6d4880, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xa36575fb, "_dev_info" },
	{ 0xc316812b, "module_put" },
	{ 0xaf22d5d2, "cdev_add" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xfb59711, "perf_trace_run_bpf_submit" },
	{ 0xe4d45ae8, "bus_unregister" },
	{ 0x94f0e83, "down_write" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcb331a33, "simple_open" },
	{ 0x31d07224, "device_add" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x9b33a829, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9e49f152, "fasync_helper" },
	{ 0xed3e71ea, "trace_event_reg" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0x69c18d69, "driver_unregister" },
	{ 0xa6f2dd6b, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0xd5859cc1, "device_del" },
	{ 0x851e02fa, "dmam_free_coherent" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x480e6db4, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x463c69fc, "down_read" },
	{ 0x1fce1dd9, "nonseekable_open" },
	{ 0xda42e6a1, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3367a3bc, "device_create_with_groups" },
	{ 0xeea0399, "strscpy" },
	{ 0xf68b2f63, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf3057ec8, "trace_event_buffer_reserve" },
	{ 0xe567d150, "__pm_runtime_resume" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a7cef5c, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x380b53cb, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x60a9342b, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x833682dd, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x5918f2de, "__pm_runtime_suspend" },
	{ 0x98821421, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x95eca143, "single_open" },
	{ 0xfbb01afe, "debugfs_create_dir" },
	{ 0x5922a06a, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x4dc0300, "up_read" },
	{ 0xe10f970f, "driver_register" },
	{ 0x3b8ef755, "class_register" },
	{ 0x9c6199eb, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xcccf7af7, "cdev_del" },
	{ 0x748bf046, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5a94e563, "class_find_device" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6AA1EBFCE26DD8819D6AC02");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
