#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x2cb0b2a7, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x0890a124, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4185b92, "alloc_etherdev_mqs" },
	{ 0x9dd011ad, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x610739d2, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x16688cbd, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf9643b0d, "skb_copy_bits" },
	{ 0x14d62b81, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xfcb3fce3, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7aed3444, "param_ops_ushort" },
	{ 0x9243a57, "consume_skb" },
	{ 0x5d562fb6, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0xd74fb35e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x115d1d4f, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x3ede2dd0, "ndo_dflt_bridge_getlink" },
	{ 0x4b166fc4, "unregister_netdev" },
	{ 0xdfb90d72, "napi_get_frags" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb24d9980, "dma_unmap_page_attrs" },
	{ 0xe023ccb2, "request_firmware" },
	{ 0xb80248b6, "__pci_register_driver" },
	{ 0xce7d2f12, "pci_num_vf" },
	{ 0xb1729d47, "pci_request_regions" },
	{ 0x84bde5ec, "___pskb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x77b13c3f, "pci_sriov_get_totalvfs" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0x84a36eed, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb31e9a38, "udp_tunnel_nic_ops" },
	{ 0x7f9fef5f, "__netif_napi_del" },
	{ 0x825a8b4e, "netif_tx_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2ccc79b3, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c1846b4, "pskb_expand_head" },
	{ 0x45450888, "dev_driver_string" },
	{ 0x693bb80f, "dev_addr_mod" },
	{ 0xf6c9c81, "eth_type_trans" },
	{ 0xe90b69e4, "pci_read_config_dword" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x931e48ec, "dma_map_page_attrs" },
	{ 0x4ab6d4ff, "napi_complete_done" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xaa0ded2e, "__napi_schedule" },
	{ 0x684408ee, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0xe38bed5d, "netif_device_detach" },
	{ 0x56475ee0, "__hw_addr_unsync_dev" },
	{ 0xa36575fb, "_dev_info" },
	{ 0x7ceb261, "netif_device_attach" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xb331b51e, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x765b89cb, "netif_set_real_num_tx_queues" },
	{ 0x9507e1ad, "netif_set_real_num_rx_queues" },
	{ 0x58daf9d4, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xe224f52a, "skb_push" },
	{ 0xca75ee86, "dma_alloc_attrs" },
	{ 0x9a6aebd2, "napi_enable" },
	{ 0x54f6528, "netif_receive_skb" },
	{ 0xe86666, "register_netdev" },
	{ 0xb17c7bd0, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf63b16f5, "ethtool_op_get_link" },
	{ 0xe77830d4, "netif_set_xps_queue" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa59db6b8, "pci_iounmap" },
	{ 0x3c8ac969, "pci_restore_state" },
	{ 0x76c349ef, "netif_tx_wake_queue" },
	{ 0x3a4f22, "dma_sync_single_for_cpu" },
	{ 0x352d0fa5, "devm_hwmon_device_register_with_groups" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x727ee724, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7598afed, "__pskb_pull_tail" },
	{ 0x268aad07, "netif_tx_lock" },
	{ 0xc281ea40, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54fe0418, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xeea0399, "strscpy" },
	{ 0x644d16ae, "dma_free_attrs" },
	{ 0xe57b93ec, "pci_enable_wake" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa4fee8, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x247692ce, "alloc_pages" },
	{ 0xa09b9461, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd08bc38c, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2078a5c2, "skb_clone" },
	{ 0xfb29a85b, "__hw_addr_sync_dev" },
	{ 0x47011239, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xcd32134e, "netif_carrier_on" },
	{ 0x77fc8a43, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1f184008, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc229f62a, "dma_set_mask" },
	{ 0x4c5ac2a3, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x9a55eb12, "page_address" },
	{ 0x5063b348, "napi_schedule_prep" },
	{ 0x735a05f0, "pci_sriov_set_totalvfs" },
	{ 0xd0d8621b, "strlen" },
	{ 0x137cbd9e, "napi_disable" },
	{ 0x1bc7e22d, "dev_kfree_skb_any_reason" },
	{ 0x7178894f, "_dev_printk" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x653341ac, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x8df1c8d5, "pci_write_config_dword" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x49967f7f, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EB333B4E6BF4B346CDE2850");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
