#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x52c35251, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x35c65494, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xf3c48064, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xbd943093, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xb4023396, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf926013a, "__do_once_done" },
	{ 0xfa52be60, "ip6_route_input_lookup" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x8c0dbacf, "dev_pre_changeaddr_notify" },
	{ 0x732e7c34, "dev_mc_sync" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x31f06b5d, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3a88f4b, "netdev_update_features" },
	{ 0x9243a57, "consume_skb" },
	{ 0xa843f241, "ip6_local_out" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4272641f, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x83b508fe, "rtnl_link_register" },
	{ 0xe7f7a375, "netif_inherit_tso_max" },
	{ 0x479d51c9, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xb6ffcc6f, "ip_route_output_flow" },
	{ 0x1def2764, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x109d9d75, "dev_uc_unsync" },
	{ 0xf3b3f20, "ether_setup" },
	{ 0x7a748054, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37b0f9f7, "netdev_upper_dev_link" },
	{ 0x5c9b9b24, "register_pernet_subsys" },
	{ 0x693bb80f, "dev_addr_mod" },
	{ 0xcc7f20c2, "netdev_core_stats_alloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf324b72c, "eth_header_parse" },
	{ 0xdeb96208, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xc338bf74, "eth_header_cache_update" },
	{ 0x95f18d34, "nf_register_net_hooks" },
	{ 0x5494a31a, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3927fddc, "ip_route_input_noref" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0xc9e212f4, "__dev_get_by_index" },
	{ 0x4fb35ec8, "rtnl_link_unregister" },
	{ 0x58f15508, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x649e8401, "netif_stacked_transfer_operstate" },
	{ 0x58daf9d4, "kfree_skb_reason" },
	{ 0x3d692cf6, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf4ccd3d, "ns_capable" },
	{ 0x70336531, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf63b16f5, "ethtool_op_get_link" },
	{ 0x4b99c00f, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf460428c, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7598afed, "__pskb_pull_tail" },
	{ 0x8311192d, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd84f3f50, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x289fcae4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbf024ee3, "vlan_vid_add" },
	{ 0x4df7ea70, "call_netdevice_notifiers" },
	{ 0x821c454c, "vlan_vid_del" },
	{ 0x36137eb3, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2078a5c2, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xf6ae6c3d, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd8ea4453, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf2090a30, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x7581c916, "dev_mc_unsync" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x69cd8015, "dev_change_flags" },
	{ 0xdcf1df97, "dev_forward_skb" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x231b663a, "register_netdevice" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ACABF95A977E7279CD53C49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
