#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0xb10ca912, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x2e6c8ddb, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x5012a09e, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x8e2bd125, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x6bb30780, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0xe2a3cbfc, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xccd2f902, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbaa94c1f, "eth_mac_addr" },
	{ 0x347e4681, "skb_put" },
	{ 0x39fb30c6, "cfg80211_scan_done" },
	{ 0x9243a57, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x81583468, "cfg80211_cac_event" },
	{ 0xa86bfeda, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x203d55ad, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2e60bace, "memcpy" },
	{ 0x83d3dc3, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7eba2b03, "cfg80211_external_auth_request" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x54f22744, "cfg80211_new_sta" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x34c601f2, "cfg80211_disconnected" },
	{ 0xf3b3f20, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd20170c0, "netdev_port_same_parent_id" },
	{ 0x693bb80f, "dev_addr_mod" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x72829648, "alloc_netdev_mqs" },
	{ 0x39cfb315, "wiphy_new_nm" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x2dbc856a, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x765b58ee, "cfg80211_put_bss" },
	{ 0xe8e881e, "cfg80211_ch_switch_notify" },
	{ 0x9cb5f490, "skb_queue_tail" },
	{ 0x513f4653, "ieee80211_get_channel_khz" },
	{ 0xa011a5c3, "cfg80211_check_combinations" },
	{ 0x96a75cbf, "__cfg80211_radar_event" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x7485192a, "cfg80211_get_drvinfo" },
	{ 0x269c4d4d, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3214b85d, "platform_device_unregister" },
	{ 0x1b56819c, "cfg80211_michael_mic_failure" },
	{ 0x37d591a4, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x9b33a829, "debugfs_remove" },
	{ 0x24372328, "cfg80211_del_sta_sinfo" },
	{ 0xd238cbce, "cfg80211_update_owe_info_event" },
	{ 0xb18a19fa, "wiphy_unregister" },
	{ 0xb17c7bd0, "free_netdev" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x6073afe4, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6f04d152, "netif_tx_stop_all_queues" },
	{ 0x76c349ef, "netif_tx_wake_queue" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb4293a1c, "wdev_chandef" },
	{ 0x2fe740e1, "dev_get_tstats64" },
	{ 0xc281ea40, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeea0399, "strscpy" },
	{ 0x362060f8, "cfg80211_unregister_wdev" },
	{ 0x7969e3fa, "platform_device_register_full" },
	{ 0xca1942d5, "cfg80211_rx_mgmt_ext" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60a4cda1, "param_ops_bool" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd08bc38c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcd32134e, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x74b21191, "netdev_walk_all_lower_dev" },
	{ 0x399b4efd, "cfg80211_inform_bss_data" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xb35e8e21, "cfg80211_shutdown_all_interfaces" },
	{ 0x1bc7e22d, "dev_kfree_skb_any_reason" },
	{ 0xb4ac9ea6, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0xfbb01afe, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xda357595, "cfg80211_connect_done" },
	{ 0x3f7fd705, "wiphy_free" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "C3F17522E89B21CA11366AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
