#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x3e426cff, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xab4be6c2, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x1e666eae, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x28cca3cb, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x885e2b7d, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xe3eff31f, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x51edf441, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x7f187d82, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x0a286923, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x2eff5ed7, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x959cfa2e, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0xa09003b0, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xfdc0793f, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x4c092c0a, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x23fc5a8e, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x71320735, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x61f1fd2d, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0x1397f2d2, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x604a58c5, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xea4a1f62, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x6170fda9, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xa119add1, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xb9b7aec6, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x6df86114, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x31a89365, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xce83575c, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x45cccb21, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x5368e290, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xa54a4050, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x079c1cc1, "_gpl");
SYMBOL_CRC(rt2800_config, 0x01e5e745, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xa548f831, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x5e569600, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x1df77244, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x1f712e28, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x366a25fd, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x0b063139, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x84a42f17, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xeea95bb0, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x0d253f57, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x2ca3a966, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x28c48ec0, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x051734c5, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xa70668d4, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xa039e38d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x904df4e0, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3da03558, "rt2x00lib_txdone" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0x33672191, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa467d3d5, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x6576a36a, "rt2x00mac_conf_tx" },
	{ 0x4295c878, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x282affd7, "_dev_warn" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe224f52a, "skb_push" },
	{ 0xb16abaf6, "rt2x00debug_dump_frame" },
	{ 0x1bc7e22d, "dev_kfree_skb_any_reason" },
	{ 0x610739d2, "__skb_pad" },
	{ 0xd2cdc6a4, "rt2x00lib_txdone_noinfo" },
	{ 0x8bf45409, "ieee80211_restart_hw" },
	{ 0x58f15508, "skb_pull" },
	{ 0xa36575fb, "_dev_info" },
	{ 0x8abaa907, "rt2x00lib_set_mac_address" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x60a4cda1, "param_ops_bool" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D6768B976D47A7C77436CF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
