#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xfb32df3b, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x238e3eb3, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xa71e90a1, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xfa0e2244, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x20434b43, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x6e5ee504, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x5c9ac12c, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x2d578362, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x9b1a3d91, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xbf6f9c36, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x70826342, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x40e4e8f0, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x4b080585, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x318e9b, "try_module_get" },
	{ 0x58228357, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1098d014, "class_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6f6d4880, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xa36575fb, "_dev_info" },
	{ 0xc316812b, "module_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x94f0e83, "down_write" },
	{ 0x24147c9d, "_dev_err" },
	{ 0xbd0650de, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4e3567f7, "match_int" },
	{ 0x572edce3, "device_create" },
	{ 0xc8292be, "class_create" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x5152e605, "memcmp" },
	{ 0x99b97dc2, "__nvme_submit_sync_cmd" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x11623c96, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x463c69fc, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xda42e6a1, "seq_read" },
	{ 0xeea0399, "strscpy" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x4a7cef5c, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x380b53cb, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x60a9342b, "seq_puts" },
	{ 0x833682dd, "single_release" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x95eca143, "single_open" },
	{ 0x4dc0300, "up_read" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "EB6EE0CE0E17086935C440A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
