#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x753971d2, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x94209545, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x7e3caa53, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xfa6e90c7, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0xde553c3b, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x62ea8f67, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0xc239a3b3, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x77eb2124, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xe2697cd4, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x6ceee74b, "_gpl");
SYMBOL_CRC(tb_property_find, 0xc64da6ae, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x86166e8c, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x2b93080f, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x6c0d5212, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x36521060, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0x21a31526, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x2b7ad471, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x48b82220, "_gpl");
SYMBOL_CRC(tb_service_type, 0x823fa1eb, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x6c604bde, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x2414c311, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x82fb5919, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x1b1ed141, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x7da5fbb7, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0xcd8906f6, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x28764a4f, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x7aa606f7, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x83a15995, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x73ae0b72, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x70145487, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd9c2e4d0, "pci_find_ext_capability" },
	{ 0x49dc77e3, "is_acpi_device_node" },
	{ 0x4437bc06, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x57d37170, "devm_request_threaded_irq" },
	{ 0x14d62b81, "param_ops_uint" },
	{ 0xac417854, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xe1a8b316, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x51bec532, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x50a53eac, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x929b0a48, "device_unregister" },
	{ 0x7d1ed57e, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0xb80248b6, "__pci_register_driver" },
	{ 0x73e8b51b, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x50bd6519, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xb609e15f, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x51761aa4, "acpi_find_child_by_adr" },
	{ 0x308d90d1, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x16eb2817, "pci_irq_vector" },
	{ 0xc3b9d99b, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb0c98306, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2ccc79b3, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x45450888, "dev_driver_string" },
	{ 0x483a82b0, "crypto_destroy_tfm" },
	{ 0xe90b69e4, "pci_read_config_dword" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x59d802b8, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe527d6d1, "pm_wakeup_dev_event" },
	{ 0x4b77bf7c, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0xfdf5a1cb, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6f6d4880, "put_device" },
	{ 0x3dc97f43, "devm_free_irq" },
	{ 0x3cacb914, "pm_runtime_enable" },
	{ 0xebca5d93, "device_for_each_child_reverse" },
	{ 0x738803e6, "strnlen" },
	{ 0x44bac7e5, "bus_for_each_dev" },
	{ 0xa36575fb, "_dev_info" },
	{ 0x2f66c625, "sysfs_create_link" },
	{ 0x49f26466, "kstrndup" },
	{ 0x280b471e, "pcim_iomap_regions" },
	{ 0x9e5efc0b, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xe4d45ae8, "bus_unregister" },
	{ 0x24147c9d, "_dev_err" },
	{ 0x4b4127df, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x259466ef, "crypto_shash_setkey" },
	{ 0xfec0d85a, "bus_find_device" },
	{ 0x31d07224, "device_add" },
	{ 0x82f00d09, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe64ac0d7, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x98922d39, "pci_device_is_present" },
	{ 0xca75ee86, "dma_alloc_attrs" },
	{ 0x9b33a829, "debugfs_remove" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x65e98d9a, "crypto_shash_digest" },
	{ 0x6573f300, "ida_free" },
	{ 0x69c18d69, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1a482842, "device_find_child" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x9f6c6899, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x4c76859a, "device_register" },
	{ 0xd5859cc1, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x282affd7, "_dev_warn" },
	{ 0x82d35936, "unregister_acpi_bus_type" },
	{ 0xf91c2ebd, "acpi_get_first_physical_node" },
	{ 0x727ee724, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5cbd8e69, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x86ddbd0a, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6f84c573, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x54fe0418, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xda42e6a1, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4ef28203, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x748f331c, "pm_runtime_forbid" },
	{ 0xf68b2f63, "debugfs_create_file" },
	{ 0x644d16ae, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9772291e, "pm_runtime_allow" },
	{ 0xe567d150, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5017907, "acpi_fetch_acpi_dev" },
	{ 0x60a4cda1, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x380b53cb, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcf59802f, "kobject_uevent" },
	{ 0xa90fa639, "device_iommu_capable" },
	{ 0x60a9342b, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x833682dd, "single_release" },
	{ 0xc229f62a, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x4ff0d37, "pci_walk_bus" },
	{ 0xf49c39f8, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x6fc4a67e, "nvmem_register" },
	{ 0x1b273672, "pcim_iomap_table" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x5918f2de, "__pm_runtime_suspend" },
	{ 0xc571ee60, "component_add" },
	{ 0xf08ffa43, "fwnode_handle_put" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb751d030, "__pm_runtime_use_autosuspend" },
	{ 0x95eca143, "single_open" },
	{ 0x931230c9, "pcim_enable_device" },
	{ 0x97d539b9, "mutex_destroy" },
	{ 0x12403e7f, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x476cebdb, "crypto_alloc_shash" },
	{ 0xfbb01afe, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x8cba52c8, "device_link_add" },
	{ 0xe10f970f, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x163a74ba, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc1d9cf06, "__dev_fwnode" },
	{ 0x8cf55fb3, "pci_bus_type" },
	{ 0x8df1c8d5, "pci_write_config_dword" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0x748bf046, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "F69A18A55CD6B5593A9E6B7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
