#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xc8495e4a, "");
SYMBOL_CRC(jbd2_journal_start, 0x7e6d06de, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x4f0b39bf, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xa25ada27, "");
SYMBOL_CRC(jbd2__journal_restart, 0xe1128515, "");
SYMBOL_CRC(jbd2_journal_restart, 0x300bce62, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x87e6fa42, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x26de8ef2, "");
SYMBOL_CRC(jbd2_journal_extend, 0x1910be03, "");
SYMBOL_CRC(jbd2_journal_stop, 0x50474559, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xb49616be, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xc06a609d, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0xbeb0b151, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xef7f587e, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xfdea9b8e, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x742c581f, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x89af2395, "");
SYMBOL_CRC(jbd2_journal_forget, 0x9722b2bd, "");
SYMBOL_CRC(jbd2_journal_flush, 0x7bf7a4a8, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xd988a33c, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x6a7bd00d, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xdddfd65e, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x8d4d156e, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x89890bf0, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xb4f2f06c, "");
SYMBOL_CRC(jbd2_journal_load, 0xc54c6880, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x95055c7e, "");
SYMBOL_CRC(jbd2_journal_abort, 0xd28c1c5c, "");
SYMBOL_CRC(jbd2_journal_errno, 0x32583657, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x5f20c873, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x041a31ce, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x76017f81, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x1b54e5f9, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x28c56c3c, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x2adcd034, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x63184e9f, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xb3cc87cd, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x8e7775d5, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x2b0bfb42, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xe3826c90, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x8ac9e53f, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xe435526c, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x93398565, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x3513dc04, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x97c6f254, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xc149eefe, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x824e446f, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x7a946424, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x15b165b1, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x290d837c, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x1b6e39e9, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xdde026ce, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xeaccfa1e, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x593849fc, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xc15613eb, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x7443374f, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x8eb958eb, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x5ceb2ef5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x55c149d0, "bh_uptodate_or_lock" },
	{ 0x8615c793, "blk_start_plug" },
	{ 0xb529dc34, "bpf_trace_run4" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3c43448a, "folio_unlock" },
	{ 0x7aed3444, "param_ops_ushort" },
	{ 0x181253d7, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5c40b9f, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xbdfe01a9, "bpf_trace_run6" },
	{ 0xf411370f, "mark_buffer_dirty" },
	{ 0xb94a85d2, "__find_get_block" },
	{ 0x851fae37, "__trace_trigger_soft_disabled" },
	{ 0xdef2d28d, "filemap_fdatawrite_range" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xa01fa230, "trace_event_printf" },
	{ 0xc419524c, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1e48edf2, "write_dirty_buffer" },
	{ 0xf34f67f1, "register_shrinker" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0xea6a7f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf963f3ae, "iput" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0xb609e15f, "seq_lseek" },
	{ 0x95c45069, "blockdev_superblock" },
	{ 0x733509fc, "proc_create_data" },
	{ 0x7e792b98, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x76b78f11, "kmem_cache_create" },
	{ 0xef1465aa, "bpf_trace_run8" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x750640ec, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd672e882, "alloc_buffer_head" },
	{ 0x47169dee, "wake_up_process" },
	{ 0x521de32d, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x483a82b0, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x9c20c1b, "mutex_lock_io" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x9ad7de09, "try_to_free_buffers" },
	{ 0xfda52473, "sync_blockdev" },
	{ 0x5d66c7a2, "free_buffer_head" },
	{ 0x5957d01d, "unregister_shrinker" },
	{ 0xf9a1109a, "kmem_cache_alloc" },
	{ 0xc744ac4b, "blk_finish_plug" },
	{ 0x981bdb74, "__cond_resched_lock" },
	{ 0x29b3ac6c, "__kmap_local_page_prot" },
	{ 0x56fe846e, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbb578789, "__brelse" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xfb59711, "perf_trace_run_bpf_submit" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd2db74c3, "__bh_read_batch" },
	{ 0x2eec6573, "bpf_trace_run5" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0xab06fd53, "mem_section" },
	{ 0xdfda7888, "__wait_on_buffer" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x42ba694a, "kmem_cache_free" },
	{ 0xedb75152, "__bh_read" },
	{ 0xed3e71ea, "trace_event_reg" },
	{ 0xfafe0614, "mutex_is_locked" },
	{ 0xe66c4a9e, "blkdev_issue_zeroout" },
	{ 0x52b1eee7, "filemap_fdatawait_range_keep_errors" },
	{ 0xbf2cc20c, "crypto_shash_update" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6173c85e, "freezing_slow_path" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xe6bf91e, "bpf_trace_run1" },
	{ 0xe9f0bbbf, "proc_mkdir" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x20c470f, "kthread_create_on_node" },
	{ 0xbb539c00, "bpf_trace_run3" },
	{ 0xda42e6a1, "seq_read" },
	{ 0xab15841d, "unlock_buffer" },
	{ 0xd83190b8, "__getblk_gfp" },
	{ 0xf3057ec8, "trace_event_buffer_reserve" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xe1ed9c9, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xa09b9461, "__folio_put" },
	{ 0xf075c318, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x380b53cb, "seq_printf" },
	{ 0x73c08555, "__lock_buffer" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xde99e664, "truncate_inode_pages_range" },
	{ 0x7ae16d7b, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf26295c, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc6fc095, "end_buffer_write_sync" },
	{ 0x73f12bbd, "seq_open" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xd44c9bae, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x476cebdb, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc26396f0, "kmalloc_caches" },
	{  0x1c228, "kmem_cache_destroy" },
	{ 0x917dcef5, "blkdev_issue_discard" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EFD2025328EECB4EE7B40D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
