#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xc26d639e, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x450f1a50, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0xe05cfc9b, "");
SYMBOL_CRC(vcc_insert_socket, 0x3f15b723, "");
SYMBOL_CRC(vcc_release_async, 0x50fb8ad4, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x3b82d12d, "");
SYMBOL_CRC(atm_dev_signal_change, 0xfefb895e, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xeacbcb4f, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x2368b878, "");
SYMBOL_CRC(atm_alloc_charge, 0xd03fb80a, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x5f34bd8a, "");
SYMBOL_CRC(atm_dev_lookup, 0x5fb2f47c, "");
SYMBOL_CRC(atm_dev_register, 0x3b7a939f, "");
SYMBOL_CRC(atm_dev_deregister, 0xcfce8835, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xeb7c6ec1, "skb_free_datagram" },
	{ 0x318e9b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x347e4681, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x51bec532, "dev_set_name" },
	{ 0x9243a57, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xa86bfeda, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xebaa09ca, "pcpu_hot" },
	{ 0x733509fc, "proc_create_data" },
	{ 0x4cc5cbf3, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2fb7a065, "_raw_write_lock_irq" },
	{ 0x703968c6, "skb_queue_purge_reason" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x90d23b95, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0x1b6848a5, "sock_register" },
	{ 0x71f77c3b, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6f6d4880, "put_device" },
	{ 0x7ad537b3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xfa2ccc9a, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9cb5f490, "skb_queue_tail" },
	{ 0xc316812b, "module_put" },
	{ 0xbeb3f8d3, "device_create_file" },
	{ 0x269c4d4d, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x78db5fff, "noop_llseek" },
	{ 0x5794214f, "sk_free" },
	{ 0xde1a8fa2, "sock_wake_async" },
	{ 0x58daf9d4, "kfree_skb_reason" },
	{ 0xf8232a9, "sock_no_accept" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0x35a00bb5, "sock_no_listen" },
	{ 0xe4caca3d, "seq_putc" },
	{ 0xa6f2dd6b, "class_unregister" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0x3ac6996d, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe69248fe, "skb_copy_datagram_iter" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xdd584bfd, "sk_alloc" },
	{ 0x4c76859a, "device_register" },
	{ 0xd5859cc1, "device_del" },
	{ 0xeaedfe35, "_raw_write_unlock_irq" },
	{ 0x15aaa207, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x82059aac, "atomic_notifier_call_chain" },
	{ 0xc41841a3, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xdf55a56c, "skb_recv_datagram" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf075c318, "remove_proc_entry" },
	{ 0x380b53cb, "seq_printf" },
	{ 0x1cb84d6f, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x60a9342b, "seq_puts" },
	{ 0xda649bd4, "sock_gettstamp" },
	{ 0xe5ab866, "_proc_mkdir" },
	{ 0xe7dc8b06, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1bc7e22d, "dev_kfree_skb_any_reason" },
	{ 0x951222d, "iov_iter_revert" },
	{ 0xa2afc8f3, "proc_create_seq_private" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3b8ef755, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x7d75fa83, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xccf88678, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7458da46, "release_sock" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B286C315EB881B7511B2CE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
