#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x79a0fb30, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x3b9342f0, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x596f6ef3, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x00cd6399, "");
SYMBOL_CRC(nfc_hci_free_device, 0x3379b9b4, "");
SYMBOL_CRC(nfc_hci_register_device, 0x84c3bf35, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0xa0fcf364, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xa7753169, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0xdab75548, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x25ca89ef, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x61b1c0fc, "");
SYMBOL_CRC(nfc_hci_send_event, 0x7bfe09be, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x5600c1b4, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0xc1590675, "");
SYMBOL_CRC(nfc_hci_set_param, 0xccd54f83, "");
SYMBOL_CRC(nfc_hci_get_param, 0x59a87003, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x7327146d, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0xd6eda3c9, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x20dbfb7e, "");
SYMBOL_CRC(nfc_llc_start, 0xe3c194d0, "");
SYMBOL_CRC(nfc_llc_stop, 0x7b37972a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x347e4681, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa86bfeda, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7a12736d, "nfc_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x56e5e9b6, "nfc_allocate_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x703968c6, "skb_queue_purge_reason" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x526587e3, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f6d4880, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x7ad537b3, "__alloc_skb" },
	{ 0x9cb5f490, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x58f15508, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x58daf9d4, "kfree_skb_reason" },
	{ 0x6127e3b0, "mutex_lock" },
	{ 0xe224f52a, "skb_push" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x72a8d6f9, "__mutex_init" },
	{ 0x91b37145, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf45ca07, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6d757fc9, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdba94fe4, "nfc_targets_found" },
	{ 0x466b8897, "kmalloc_trace" },
	{ 0x1bda30d, "nfc_driver_failure" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc26396f0, "kmalloc_caches" },
	{ 0xbbf34c73, "nfc_register_device" },
	{ 0x70291217, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8782b172, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "8AC671B8B08FEB03BAEA488");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
